/**
 * created by wbz20
 * on 2018/10/18
 * */

/**
 * 枚举字典
 *
 * 基础格式:
 * {field字段名}: [
 *  { // 枚举第 1 项
 *
 *    id: 0, // 从0开始
 *    key: {String} // 逻辑值
 *    name: {String} // 显示值
 *    info: {Object} // 可选, 其他信息
 *  },
 *  {枚举第 2 项},
 *  ...
 * ]
 * */

import stockIn from './stockIn' // 入库管理
import stockOut from './stockOut' // 出库管理
import inventory from './inventory' // 库存管理
import inventoryQuery from './inventoryQuery' // 库存查询
import warehouseBasic from './warehouseBasic' // 仓库基础数据
import charging from './charging' // 计费合同
import maintain from './maintain' // 加工管理
import platform from './platform' // 月台管理
import strategy from './strategy' // 月台管理
import storageTasks from './storageTasks' // 仓储作业报表
import summaryReport from './summaryReport' // 汇总作业报表
import crossDock from './crossDock'

// 多入口的其他业务
import logisticsInfo from './logisticsInfo' // 物流信息业务

// 公用keys
const common = {
  // 出库状态
  status: [
    {
      id: 0,
      key: '00',
      name: '创建'
    },
    {
      id: 1,
      key: '10',
      name: '生成任务'
    },
    {
      id: 2,
      key: '70',
      name: '部分盘点'
    },
    {
      id: 3,
      key: '80',
      name: '完全盘点'
    },
    {
      id: 4,
      key: '90',
      name: '取消'
    },
    {
      id: 5,
      key: '99',
      name: '关闭'
    },
    {
      id: 6,
      key: '30',
      name: '部分分配'
    },
    {
      id: 7,
      key: '40',
      name: '完全分配'
    },
    {
      id: 8,
      key: '60',
      name: '完全拣货'
    },
    {
      id: 9,
      key: '20',
      name: '完全预配'
    }
  ],
  // 审核状态
  auditStatus: [
    {
      id: 0,
      key: '00',
      name: '未审核'
    },
    {
      id: 1,
      key: '90',
      name: '不审核'
    },
    {
      id: 2,
      key: '99',
      name: '已审核'
    }
  ],
  fixDay: [
    { label: '1号', key: '1' },
    { label: '2号', key: '2' },
    { label: '3号', key: '3' },
    { label: '4号', key: '4' },
    { label: '5号', key: '5' },
    { label: '6号', key: '6' },
    { label: '7号', key: '7' },
    { label: '8号', key: '8' },
    { label: '9号', key: '9' },
    { label: '10号', key: '10' },
    { label: '11号', key: '11' },
    { label: '12号', key: '12' },
    { label: '13号', key: '13' },
    { label: '14号', key: '14' },
    { label: '15号', key: '15' },
    { label: '16号', key: '16' },
    { label: '17号', key: '17' },
    { label: '18号', key: '18' },
    { label: '19号', key: '19' },
    { label: '20号', key: '20' },
    { label: '21号', key: '21' },
    { label: '22号', key: '22' },
    { label: '23号', key: '23' },
    { label: '24号', key: '24' },
    { label: '25号', key: '25' },
    { label: '26号', key: '26' },
    { label: '27号', key: '27' },
    { label: '28号', key: '28' },
    { label: '29号', key: '29' },
    { label: '30号', key: '30' },
    { label: '星期一', key: 'MON' },
    { label: '星期二', key: 'TUES' },
    { label: '星期三', key: 'WED' },
    { label: '星期四', key: 'THUR' },
    { label: '星期五', key: 'FRI' },
    { label: '星期六', key: 'SAT' },
    { label: '星期日', key: 'SUM' },
  ],
  // 固定批次属性4 - 品质
  lotAtt04: [
    { id: 0, key: 'Y', name: '良品' },
    { id: 1, key: 'N', name: '不良品' },
    { id: 2, key: 'Q', name: '待检' },
  ],
}

export default {
  common, // 公用
  stockIn, // 入库
  stockOut, // 出库
  inventory, // 库存管理
  inventoryQuery, // 库存查询
  warehouseBasic, // 仓库基础数据
  charging, // 计费合同
  maintain, // 加工管理
  platform, // 月台管理
  strategy, // 仓库策略管理
  storageTasks,
  summaryReport,
  crossDock,
  // 多入口的其他业务
  logisticsInfo, // 物流信息业务
}
