/**
 * created by wbz20
 * on 2018/10/18
 * */

// 库存管理
export default {
  // 库存盘点
  count: {
    // 静态动态盘点
    countMethod: [
      { id: 0, key: 'S', name: '静态' },
      { id: 1, key: 'D', name: '动态' },
    ],
    // 明盘盲盘
    countMode: [
      { id: 0, key: 'B', name: '盲盘' },
      { id: 1, key: 'O', name: '明盘' },
    ],
    // 盘点范围
    countRange: [
      { id: 0, key: '1', name: '全盘' },
      { id: 1, key: '2', name: '抽盘' },
      { id: 2, key: '3', name: '动碰盘点' },
      { id: 3, key: '4', name: '循环盘点' },
    ],
    // 盘点类型
    countType: [
      { id: 0, key: 'NC', name: '普通盘点' },
      { id: 1, key: 'GC', name: '差异盘点' },
    ],
    // 盘点状态
    status: [
      { id: 0, key: '00', name: '创建' },
      { id: 1, key: '10', name: '生成任务' },
      { id: 2, key: '70', name: '部分盘点' },
      { id: 3, key: '80', name: '完全盘点' },
      { id: 4, key: '90', name: '取消' },
      { id: 5, key: '99', name: '关闭' },
    ],
    // 明细列表的状态
    detailStatus: [
      { id: 0, key: '00', name: '创建' },
      { id: 1, key: '99', name: '完成' },
    ],
  },
  // 调整单
  adjustment: {
    // 状态
    status: [
      { id: 0, key: '00', name: '创建' },
      { id: 1, key: '10', name: '部分调整' },
      { id: 2, key: '20', name: '完全调整' },
      { id: 3, key: '90', name: '取消' },
      { id: 4, key: '99', name: '关闭' },
    ],
    // 调整原因
    reasonCode: [
      { id: 0, key: 'DM', name: '损耗' },
      { id: 1, key: 'CN', name: '盘点' },
      { id: 2, key: 'OT', name: '其他' },
    ]
  },
  // 库存移动单
  mvOrder: {
    status: [
      { id: 0, key: '00', name: '创建' },
      { id: 2, key: '20', name: '移动中' },
      { id: 3, key: '30', name: '部分移动' },
      { id: 4, key: '40', name: '完全移动' },
      { id: 5, key: '90', name: '取消' },
      { id: 6, key: '99', name: '关闭' },
    ],
    // 移动原因
    reasonCode: [
      { id: 0, key: 'ST', name: '理货' },
      { id: 1, key: 'OT', name: '其他' },
    ],
    // 详情中任务列表
    task: {
      status: [
        { id: 0, key: '00', name: '创建' },
        { id: 1, key: '99', name: '完成' },
      ]
    },
  },
  // 移动任务
  mvTask: {
    status: [
      { id: 0, key: '00', name: '创建' },
      { id: 6, key: '99', name: '关闭' },
    ]
  },
  // 货权转移单
  tfOrder: {
    status: [
      { id: 0, key: '00', name: '创建' },
      { id: 1, key: '10', name: '部分转移' },
      { id: 2, key: '20', name: '完全转移' },
      { id: 5, key: '90', name: '取消' },
      { id: 6, key: '99', name: '关闭' },
    ],
    // 转移原因
    reasonCode: [
      { id: 0, key: 'OWNER', name: '转移货权' },
      { id: 1, key: 'SKU', name: '转移商品' },
      { id: 2, key: 'LOT', name: '转移批次' },
    ],
  },
  // 冻结
  block: {
    // 冻结方式
    holdType: [
      { id: 0, key: '1', name: '按货主' },
      { id: 1, key: '2', name: '按货主和商品' },
      { id: 2, key: '3', name: '按批次' },
      { id: 3, key: '4', name: '按库位' },
      { id: 4, key: '5', name: '按跟踪号' },
    ],
    // 冻结原因
    reasonCode: [
      { id: 0, key: 'DM', name: '商品损坏' },
      { id: 1, key: 'EP', name: '过期商品' },
      { id: 2, key: 'LH', name: '库位冻结状态' },
      { id: 3, key: 'OT', name: '其他' },
    ],
  },
  // 库内业务
  insideBusiness: {
    // 业务状态
    status: [
      { id: 0, key: '0', name: '创建' },
      { id: 1, key: '1', name: '已审核' },
      { id: 2, key: '2', name: '已执行' },
    ],
    // 业务类型
    businessType: [
      { id: 0, key: '881002', name: '翻包', info: { skuCode: 'JSGJ', skuName: '干茧' } },
      { id: 1, key: '881003-1', name: '司磅', info: { skuCode: 'JSGJ', skuName: '干茧' } },
      { id: 2, key: '881003-2', name: '检验', info: { skuCode: 'JSSS', skuName: '生丝' } },
    ]
  },
}
