export default {
  // 库位状态
  status: [
    {
      id: 0,
      key: '00',
      name: '正常'
    },
    {
      id: 1,
      key: '99',
      name: '冻结'
    }
  ],
  // 库区类型
  type: [
    {
      id: 0,
      key: '1',
      name: '平面仓库区'
    },
    {
      id: 1,
      key: '2',
      name: '货架仓库区'
    },
    {
      id: 2,
      key: '3',
      name: '高架仓库区'
    },
    {
      id: 3,
      key: '4',
      name: '重力式货架库区'
    },
    {
      id: 4,
      key: '5',
      name: '堆垛机货架库区'
    },
  ],
  // 库位使用类型
  locUseType: [
    {
      id: 0,
      key: 'PC',
      name: '箱件合并拣货库位'
    },
    {
      id: 1,
      key: 'ST',
      name: '过渡库位'
    },
    {
      id: 2,
      key: 'SS',
      name: '理货站'
    },
    {
      id: 3,
      key: 'QC',
      name: '品质货位'
    },
    {
      id: 4,
      key: 'KT',
      name: '加工台'
    },
    {
      id: 5,
      key: 'CD',
      name: '越库库位'
    },
    {
      id: 6,
      key: 'RS',
      name: '存储库位'
    },
    {
      id: 7,
      key: 'CS',
      name: '箱拣货库位'
    },
    {
      id: 8,
      key: 'EA',
      name: '件拣货库位'
    },
  ],

  // 库位种类
  cdwlCategory: [
    {
      id: 0,
      key: '1',
      name: '平面仓库区'
    },
    {
      id: 1,
      key: '2',
      name: '货架仓库区'
    },
    {
      id: 2,
      key: '3',
      name: '高架仓库区'
    },
    {
      id: 3,
      key: '4',
      name: '重力式货架库区'
    },
    {
      id: 4,
      key: '5',
      name: '堆垛机货架库区'
    },
  ],
  // 固定/动态拣货位
  locPkType: [
    {
      id: 0,
      key: 'FPL',
      name: '固定拣货位'
    },
    {
      id: 1,
      key: 'DPL',
      name: '动态拣货位'
    },
  ],
  // 是否启用
  isEnable: [
    {
      id: 0,
      key: 'Y',
      name: '是'
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    }
  ],
  // 商品类型
  typeCode: [
    {
      id: 0,
      key: 'MATERIAL_GENERAL_CARGO',
      name: '普货'
    },
    {
      id: 1,
      key: 'MATERIAL_DG',
      name: '危险化学品'
    },
    {
      id: 2,
      key: 'MATERIAL_VIRULENT',
      name: '剧毒品'
    },
    {
      id: 3,
      key: 'MATERIAL_PT',
      name: '冷冻品'
    }

  ],
  // 输入控制
  inputControl: [
    {
      id: 0,
      key: 'R',
      name: '必输'
    },
    {
      id: 1,
      key: 'O',
      name: '可选'
    },
    {
      id: 2,
      key: 'F',
      name: '禁用'
    }
  ],
  // 是否关键字
  isKeyword: [
    {
      id: 0,
      key: 'Y',
      name: '是'
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    }
  ],
  // 属性类型
  fieldType: [
    {
      id: 0,
      key: 'ComboBox',
      name: '下拉框'
    },
    {
      id: 1,
      key: 'DateField',
      name: '日期'
    },
    {
      id: 2,
      key: 'DateTimeField',
      name: '日期时间'
    },
    {
      id: 3,
      key: 'NumberField',
      name: '数字'
    },
    {
      id: 4,
      key: 'PopField',
      name: '弹出框'
    },
    {
      id: 5,
      key: '文本',
      name: 'TextInput'
    }

  ],

  // 属性选项
  KeyValue: [
    {
      id: 0,
      key: 'SYS_WM_QUALIFY',
      name: '良品/不良品'
    },
    {
      id: 1,
      key: 'SYS_WM_SKU_BRAND',
      name: '品牌'
    },
    {
      id: 2,
      key: 'SYS_WM_SKU_CLASS',
      name: '等级'
    },
    {
      id: 3,
      key: 'SYS_WM_SKU_CRUSHING_SEASON',
      name: '榨季'
    },
  ],
  // 商品拣货位类型
  skuLocType: [
    {
      id: 0,
      key: 'CS',
      name: '箱拣货库位'
    },
    {
      id: 1,
      key: 'EA',
      name: '件拣货库位'
    },
    {
      id: 2,
      key: 'PC',
      name: '箱件合并拣货库位'
    }
  ],
  // 是否补被占用数
  isRpAlloc: [
    {
      id: 0,
      key: 'Y',
      name: '是'
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    }
  ],
  // 是否超量分配
  isOverAlloc: [
    {
      id: 0,
      key: 'Y',
      name: '是'
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    }
  ],
  // 是否超量补货
  isOverRp: [
    {
      id: 0,
      key: 'Y',
      name: '是'
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    }
  ],

  // 车辆管理
  vehicle: {
    // 车辆类型
    businessType: [
      { id: 0, key: 'RECEIVE', name: '收货车辆' },
      { id: 1, key: 'SHIPMENT', name: '发运车辆' },
    ]
  },

  // 质检项
  qcItems: {
    // 质检方式
    qcWay: [
      { id: 0, key: 'VISUAL', name: '目视' },
      { id: 1, key: 'MEASURE', name: '测量' },
      { id: 2, key: 'TEST', name: '化验' },
    ],
  }
}
