/**
 * 统一管理整个项目使用的API
*/
const BASE_API = {
  login: '/app-web/security/login', // 登录
  logout: '/app-web/security/signOut', // 登出
  getUserInfo: '/bd_web/security/userinfo.shtml', // 获取用户信息
  getProjectList: '/bd_web/security/getProjectList.shtml', // 获取页面头部仓库列表
  changeProject: '/bd_web/security/changeProject.shtml', // 获取用户信息
  loadBtn: '/bd_web/security/loadButton', // 获取按钮权限
  menu: '/bd_web/security/menupath', // 目录权限
  getUserName: '/inv_web/invweb/inventoryCommonController/getUserName.shtml', // 获取操作用户信息
  getLotConfig: '/inv_web/invweb/inventoryCommonController/getLotConfig.shtml', // 获取批次属性
  getCodeMaster: '/inv_web/invweb/popWinController/getCodeMaster.shtml', // 获取枚举值, key以 ?cfgKey= 的形式传递

  // 共用模块
  public: {
    // 查询模块
    query: {
      getConfig: '', // 获取配置, 具体使用时需前面加模块 inv_web/invweb, 后面加 ?cfgKey 条件
      getList: '/popWinController/query.shtml', // 获取查询结果列表, 具体使用时需前面加模块 inv_web/invweb, 后面加 ?cfgKey 条件
    },
    // 上传组件
    upload: {
      aliyunToken: '/database-web/database/ossTokenController/getStsToken.shtml', // 获取token
      getFileList: '/database-web/database/commAlyFileController/queryFile.shtml', // 获取附件管理中的文件列表
      create: '/database-web/database/commAlyFileController/uploadFile.shtml', // 上传功能
      delete: '/database-web/database/commAlyFileController/removeFile.shtml', // 删除图片
    },
    // 批次属性
    lotAttr: {
      getLotAttrs: '/wms/basic/WhBasicService/getWhBasicInfo.bee', // 获取仓库下所有批次属性
    },
  },

  // 入库管理
  stockIn: {
    // 预收货
    preReceiving: {
      getList: '/inb_web/inbweb/inboundAsnController/query.shtml', // 预收货主列表
      searchList: '/inb_web/inbweb/inboundAsnController/getHeader.shtml', // 搜索入库单号
      addandeditList: '/inb_web/inbweb/inboundAsnController/save.shtml', // 预收货_添加/修改
      delList: '/inb_web/inbweb/inboundAsnController/remove.shtml', // 预收货删除订单
      carList: '/inb_web/inbweb/inboundAsnController/getCarrier.shtml', // 预收货编辑 车辆信息
      headList: '/inb_web/inbweb/inboundAsnController/getHeader.shtml', // 预收货编辑 头部信息
      goodsList: '/inb_web/inbweb/inboundAsnController/queryDetail.shtml', // 预收货编辑 商品信息
      delGoodsList: '/inb_web/inbweb/inboundAsnController/removeDetails.shtml', // 商品信息删除
      copyGoods: '/inb_web/inbweb/inboundAsnController/duplicateDetail.shtml', // 商品信息复制
      getDetailHead: '/inb_web/inbweb/inboundAsnController/getHeader.shtml', // 详情头部
      getDetailCar: '/inb_web/inbweb/inboundAsnController/getCarrier.shtml', //  详情车辆信息
      getDetailGoods: '/inb_web/inbweb/inboundAsnController/queryDetail.shtml', // 详情商品信息
      saveCarrier: '/inb_web/inbweb/inboundAsnController/saveCarrier.shtml', // 保存车辆信息

      // 单点操作
      audit: '/inb_web/inbweb/inboundAsnController/audit.shtml', // 审核
      duplicate: '/inb_web/inbweb/inboundAsnController/duplicate.shtml', // 复制订单
      cancelAudit: '/inb_web/inbweb/inboundAsnController/cancelAudit.shtml', // 取消审核
      createQcByAsnNo: '/inb_web/inbweb/inboundAsnController/createQcByAsnNo.shtml', // 生成质检单
      holdAsn: '/inb_web/inbweb/inboundAsnController/holdAsn.shtml', // 冻结订单
      cancelHoldAsn: '/inb_web/inbweb/inboundAsnController/cancelHoldAsn.shtml', // 取消冻结
      createVoucherNoByAsnNo: '/inb_web/inbweb/inboundAsnController/createVoucherNoByAsnNo.shtml', // 生成凭证号
      cancelVoucherNoByAsnNo: '/inb_web/inbweb/inboundAsnController/cancelVoucherNoByAsnNo.shtml', // 取消凭证号
      close: '/inb_web/inbweb/inboundAsnController/close.shtml', // 关闭订单
      cancel: '/inb_web/inbweb/inboundAsnController/cancel.shtml', // 取消订单
      generalChargeBoundAgain: '/inb_web/inbweb/inboundAsnController/generalChargeBoundAgain.shtml', // 重新计费
      // cancelVoucherNoByAsnNo: '/inb_web/inbweb/inboundAsnController/cancelVoucherNoByAsnNo.shtml', // 短收登记
      cancelAsnDetail: '/inb_web/inbweb/inboundAsnController/cancelAsnDetail.shtml', // 取消订单行
      createPalletize: '/inb_web/inbweb/inboundAsnController/createPalletize.shtml', // 码盘
      cancelPalletize: '/inb_web/inbweb/inboundAsnController/cancelPalletize.shtml', // 取消码盘
      createQcByAsnLineNo: '/inb_web/inbweb/inboundAsnController/createQcByAsnLineNo.shtml', // 生成质检单
    },
    // 收货
    collectGoods: {
      getList: '/inb_web/inbweb/inboundRcvController/queryRcv.shtml', // 收货主列表
      receiveByasnNo: '/inb_web/inbweb/inboundRcvController/receiveByasnNo.shtml', // 收货主列表
      queryRcv: '/inb_web/inbweb/inboundRcvController/queryRcv.shtml', // 详情头部
      queryAsnRcvDetails: '/inb_web/inbweb/inboundRcvController/queryAsnRcvDetails.shtml', // 详情商品信息
      getUserName: '/inb_web/inbweb/inboundCommonController/getUserName.shtml', // 查询操作信息
      saveCarrier: '/inb_web/inbweb/inboundAsnController/saveCarrier.shtml', // 保存车辆信息

      // 单点
      arrangeLoc: '/inb_web/inbweb/inboundRcvController/arrangeLoc.shtml', // 安排库位
      receive: '/inb_web/inbweb/inboundRcvController/receive.shtml', // 收货确认
      generatePaTask: '/inb_web/inbweb/inboundRcvController/generatePaTask.shtml', // 生成上架任务
      queryAsnRcvDetail: '/inb_web/inbweb/inboundRcvController/queryAsnRcvDetail.shtml', // 承运商
      cancelArrangeLoc: '/inb_web/inbweb/inboundRcvController/cancelArrangeLoc.shtml', // 取消安排库位
      cancelReceive: '/inb_web/inbweb/inboundRcvController/cancelReceive.shtml', // 取消收货
      createVoucherNo: '/inb_web/inbweb/inboundRcvController/createVoucherNo.shtml', // 生成凭证号
      cancelVoucherNo: '/inb_web/inbweb/inboundRcvController/cancelVoucherNo.shtml', // 取消凭证号
      receiveOnlyone: '/inb_web/inbweb/inboundRcvController/receiveOnlyone.shtml', // 收货确认
    },
    // 质检登记
    Quality: {
      getList: '/inb_web/inbweb/inboundQcRegisterController/query.shtml', // 质检登记主列表
      getHeader: '/inb_web/inbweb/inboundQcRegisterController/getHeader.shtml', // 编辑头部
      queryDetail: '/inb_web/inbweb/inboundQcRegisterController/queryDetail.shtml', //  编辑质检信息
      getUserName: '/inb_web/inbweb/inboundCommonController/getUserName.shtml', // 操作信息
      queryDetailSerial: '/inb_web/inbweb/inboundQcRegisterController/queryDetailSerial.shtml', // 质检信息中的编辑
      saveNewQcDetail: '/inb_web/inbweb/inboundQcRegisterController/saveNewQcDetail.shtml', // 质检信息编辑完保存
      removeDetails: '/inb_web/inbweb/inboundQcRegisterController/removeDetails.shtml', // 质检信息删除
      saveQcEntity: '/inb_web/inbweb/inboundQcRegisterController/saveQcEntity.shtml', // 保存
      remove: '/inb_web/inbweb/inboundQcRegisterController/remove.shtml', // 删除
      // 单点
      auditQc: '/inb_web/inbweb/inboundQcRegisterController/auditQc.shtml', // 审核
      cancelAuditQc: '/inb_web/inbweb/inboundQcRegisterController/cancelAuditQc.shtml', // 取消审核
      close: '/inb_web/inbweb/inboundQcRegisterController/close.shtml', // 关闭订单
    },
    // 质检处理
    Manage: {
      getList: '/inb_web/inbweb/inboundQcHandleController/query.shtml', // 主列表
      getHead: '/inb_web/inbweb/inboundQcHandleController/getHeader.shtml', // 编辑头部
      getGoods: '/inb_web/inbweb/inboundQcHandleController/querySkuDetail.shtml', // 编辑商品明细
      getQc: '/inb_web/inbweb/inboundQcHandleController/queryDetail.shtml', // 编辑质检明细
      getUser: '/inb_web/inbweb/inboundCommonController/getUserName.shtml', // 编辑操作信息
      getQua: '/inb_web/inbweb/inboundQcHandleController/queryCdWhQcItemDetail.shtml', // 编辑 质检确定 质检项列表
      getQucComfirm: '/inb_web/inbweb/inboundQcHandleController/batchQcConfirm.shtml', // 质检确定
      getQucCancel: '/inb_web/inbweb/inboundQcHandleController/batchCancelQcConfirm.shtml', // 取消质检
      getQucCreate: '/inb_web/inbweb/inboundQcHandleController/batchCreateTaskPa.shtml', // 生成上架任务
      close: '/inb_web/inbweb/inboundQcHandleController/close.shtml', // 关闭订单
    },
    Putaway: {
      query: '/inb_web/inbweb/inboundPutawayController/query.shtml', // 入库单 质检单 主列表
      querySoList: '/inb_web/inbweb/inboundPutawayController/querySoList.shtml', // 出库单 主列表
      getHeaderBySoNo: '/inb_web/inbweb/inboundPutawayController/getHeaderBySoNo.shtml', // 出库单 详情头部
      getHeaderByAsnNo: '/inb_web/inbweb/inboundPutawayController/getHeaderByAsnNo.shtml', // 入库单 质检单 详情头部
      queryTaskPa: '/inb_web/inbweb/inboundPutawayController/queryTaskPa.shtml', // 上架明细
      getUserName: '/inb_web/inbweb/inboundCommonController/getUserName.shtml', // 操作信息
      comfirmTaskPa: '/inb_web/inbweb/inboundPutawayController/comfirmTaskPa.shtml', // 上架确认
      deleteTaskPa: '/inb_web/inbweb/inboundPutawayController/deleteTaskPa.shtml', // 删除上架
      comfirmTaskPaByOrderNo: '/inb_web/inbweb/inboundPutawayController/comfirmTaskPaByOrderNo.shtml' // 上架
    }
  },
  // 出库管理
  stockOut: {
    sendOrder: {
      getCancelAlloc: '/oub_web/oubweb/outboundSoController/cancelAllocByAlloc.shtml', // 取消分配
      getManualAlloc: '/oub_web/oubweb/outboundSoController/manualAlloc.shtml', // 手动分配
      getQuerySerial: '/oub_web/oubweb/outboundSoController/cancelAllocBySoLine.shtml', // 取消分配
      getAollBySoDetail: '/oub_web/oubweb/outboundSoController/allocBySoDetails.shtml', // 分配
      getCancelSoDetail: '/oub_web/oubweb/outboundSoController/cancelSoDetail.shtml', // 取消订单
      getQueryAll: '/oub_web/oubweb/outboundSoController/queryAlloc.shtml', // 分配明细
      getList: '/oub_web/oubweb/outboundSoController/query.shtml', // 发运订单列表
      getTabNum: '/oub_web/oubweb/outboundSoController/collectSoOrderGroupByStatus.shtml', // 获取Tab数字
      delList: '/oub_web/oubweb/outboundSoController/remove.shtml', // 发运订单删除
      addandeditList: '/oub_web/oubweb/outboundSoController/save.shtml', // 发运订单-添加/修改
      carList: '/oub_web/oubweb/outboundSoController/getCarrier.shtml', // 发运订单编辑 车辆信息
      headList: '/oub_web/oubweb/outboundSoController/getHeader.shtml', // 发运订单编辑 头部信息
      goodsList: '/oub_web/oubweb/outboundSoController/queryDetail.shtml', // 发运订单编辑 商品信息
      delGoodsList: '/oub_web/oubweb/outboundSoController/removeDetails.shtml', // 商品信息删除
      copyGoods: '/oub_web/oubweb/outboundSoController/copySoDetail.shtml', // 商品信息复制
      getDetailHead: '/oub_web/oubweb/outboundSoController/getHeader.shtml', // 详情头部
      getDetailCar: '/oub_web/oubweb/outboundSoController/getCarrier.shtml', // 详情车辆
      getDetailGoods: '/oub_web/oubweb/outboundSoController/queryDetail.shtml', // 详情商品
      getAllot: '/oub_web/oubweb/outboundSoController/alloc.shtml', // 分配
      getAllotCancel: '/oub_web/oubweb/outboundSoController/cancelAlloc.shtml', // 取消分配
      getOrderClose: '/oub_web/oubweb/outboundSoController/close.shtml', // 订单关闭
      getAuditing: '/oub_web/oubweb/outboundSoController/audit.shtml', // 审核
      getAuditCancel: '/oub_web/oubweb/outboundSoController/cancelAudit.shtml', // 取消审核
      getCopy: '/oub_web/oubweb/outboundSoController/copySoHeader.shtml', // 复制
      getOrderCancel: '/oub_web/oubweb/outboundSoController/cancel.shtml', // 取消订单
      getIntercept: '/oub_web/oubweb/outboundSoController/intercept.shtml', // 拦截订单
      getPickingFinish: '/oub_web/oubweb/outboundSoController/pickingFinish.shtml', // 完成拣货
      getGeneralCharge: '/oub_web/oubweb/outboundSoController/generalCharge.shtml', // 重新计费
      getSendEdiAgain: '/oub_web/oubweb/outboundSoController/sendEdiAgain.shtml', //  重新发送EDI
      getInventory: '/wms/outbound.interactive/outboundShippmentService/getInvByCustomer.bee', // 获取库存

    },
    picking: {
      getList: '/oub_web/oubweb/outboundPkTaskController/getSoAllocEntityByQueryInfo.shtml', // 拣货主列表
      infoList: '/oub_web/oubweb/outboundCommonController/getUserName.shtml', // 操作信息
      getPicking: '/oub_web/oubweb/outboundPkTaskController/picking.shtml', // 拣货确认
      getPickingCancel: '/oub_web/oubweb/outboundPkTaskController/cancelPicking.shtml', // 取消拣货
      saveCarrier: '/oub_web/oubweb/outboundSoController/saveCarrier.shtml', // 保存车辆信息
    },
    deliverGoods: {
      getShipmentByAll: '/oub_web/oubweb/outboundShippmentController/shipmentByAlloc.shtml', // 发货确认
      getShipMent: '/oub_web/oubweb/outboundShippmentController/shipmentBySo.shtml', // 发货确认
      getList: '/oub_web/oubweb/outboundShippmentController/queryShippmentHeader.shtml', // 发货主列表
      getDetailHead: '/oub_web/oubweb/outboundShippmentController/getHeaderBySoNo.shtml', // 详情头部
      getDetailgoods: '/oub_web/oubweb/outboundShippmentController/queryDetail.shtml', // 详情商品
      getDetailList: '/oub_web/oubweb/outboundShippmentController/queryAlloc.shtml', // 详情分配明细
      getShipment: '/oub_web/oubweb/outboundShippmentController/shipmentByAlloc.shtml', // 分配明细操作接口
      getShipmentBySo: '/oub_web/oubweb/outboundShippmentController/shipmentBySo.shtml', // 发货确认
      getCancelShipmentBySo: '/oub_web/oubweb/outboundShippmentController/cancelShipmentBySo.shtml', // 发货取消
      getCancelDelivery: '/oub_web/oubweb/outboundShippmentController/cancelShipmentByAlloc.shtml', // 取消发货
    },
    loadingList: {
      getAuertSo: '/oub_web/oubweb/outboundLoadOrderController/querySoDetailByParams.shtml', // 订单查询
      getAddDetail: '/oub_web/oubweb/outboundLoadOrderController/addLdDetailByAllocId.shtml', // 添加拣货详情增加
      getQueryNotLoadByParams: '/oub_web/oubweb/outboundLoadOrderController/querynotLoadDetailByParams.shtml', // 查询
      getRemoveLineNo: '/oub_web/oubweb/outboundLoadOrderController/removeByLdNoAndLineNo.shtml', // 待装车明细删除
      getRemoveByTraceId: '/oub_web/oubweb/outboundLoadOrderController/removeByLdNoAndTraceId.shtml', // 按扫描包裹装载删除
      getByTraceId: '/oub_web/oubweb/outboundLoadOrderController/outboundLoadingByTraceId.shtml', // 按扫描包裹装载确认
      getRemoveSoNo: '/oub_web/oubweb/outboundLoadOrderController/removeByLdNoAndSoNo.shtml', // 按订单装载删除
      getLoadingBySoNo: '/oub_web/oubweb/outboundLoadOrderController/outboundLoadingBySoNo.shtml', // 按订单装载装载确认
      getNewLd: '/oub_web/oubweb/outboundLoadOrderController/newLd.shtml', // 生成装车单
      getBatchLoading: '/oub_web/oubweb/outboundLoadOrderController/outboundBatchLoading.shtml', // 装载确认
      getCancelLineNo: '/oub_web/oubweb/outboundLoadOrderController/cancelByLdNoAndLineNo.shtml', // 取消装车
      getCancel: '/oub_web/oubweb/outboundLoadOrderController/cancelDeliveryByLdNo.shtml', // 取消交接
      getDelivery: '/oub_web/oubweb/outboundLoadOrderController/deliveryByLdNo.shtml', // 装载确认
      getShipmentByLdNo: '/oub_web/oubweb/outboundLoadOrderController/outboundShipmentByLdNo.shtml', // 发货确认
      getCancelShipment: '/oub_web/oubweb/outboundLoadOrderController/cancelShipmentByLdNo.shtml', // 取消订单
      getEntityStatus: '/oub_web/oubweb/outboundLoadOrderController/queryEntityByLdNoAndStatus.shtml', // 已装车明细
      getDetailInfo: '/oub_web/oubweb/outboundLoadOrderController/querySoOrderByLdNo.shtml', // 装车单详情信息
      getList: '/oub_web/oubweb/outboundLoadOrderController/queryLoadList.shtml', // 装车单列表
      getScanQuery: '/oub_web/oubweb/outboundLoadOrderController/queryTraceIdByLdNo.shtml', // 扫描包裹装卸
      getForLoading: '/oub_web/oubweb/outboundLoadOrderController/queryEntityByLdNoAndNewStatus.shtml', // 带装车明细
      addandeditList: '/oub_web/oubweb/outboundLoadOrderController/saveWmLdHeader.shtml', // 装车单 添加/修改
      delList: '/oub_web/oubweb/outboundLoadOrderController/removeByLdNo.shtml', // 装车单删除
      editList: '/oub_web/oubweb/outboundLoadOrderController/getEntityByLdNo.shtml', // 装车单获取编辑数据
      getDetailList: '/oub_web/oubweb/outboundLoadOrderController/getEntityByLdNo.shtml', // 装车单查询详情
      getOutboundShipmentByLdNo: '/oub_web/oubweb/outboundLoadOrderController/outboundShipmentByLdNo.shtml', // 发货确认
      getDeliveryByLdNo: '/oub_web/oubweb/outboundLoadOrderController/deliveryByLdNo.shtml', // 装车交接
      getCancelShipmentByLdNo: '/oub_web/oubweb/outboundLoadOrderController/cancelShipmentByLdNo.shtm', // 更多 取消发货
      getCancelDeliveryByLdNo: '/oub_web/oubweb/outboundLoadOrderController/cancelDeliveryByLdNo.shtm', // 更多 取消交接
    }

  },
  // 库存管理
  inventory: {
    // 库存盘点
    count: {
      getList: '/inv_web/invweb/inventoryCountController/queryCountList.shtml', // 盘点列表
      delete: '/inv_web/invweb/inventoryCountController/removeCount.shtml', // 删除盘点数据
      createTask: '/inv_web/invweb/inventoryCountController/invCreateTaskCount.shtml', // 生成普通盘点任务
      cancelTask: '/inv_web/invweb/inventoryCountController/cancelTaskCount.shtml', // 取消盘点任务
      reCreateTask: '/inv_web/invweb/inventoryCountController/invReCreateTaskCount.shtml', // 生成复盘任务
      createAdjustment: '/inv_web/invweb/inventoryCountController/createAd.shtml', // 生成调整单
      createSerialCount: '/inv_web/invweb/inventoryCountController/createSerialCount.shtml', // 生成序列号盘点
      closeCount: '/inv_web/invweb/inventoryCountController/closeCount.shtml', // 关闭盘点
      cancelCount: '/inv_web/invweb/inventoryCountController/cancelCount.shtml', // 取消盘点

      queryTaskCountList: '/inv_web/invweb/inventoryCountController/queryTaskCountList.shtml', // 获取盘点任务列表
      create: '/inv_web/invweb/inventoryCountController/saveCountEntity.shtml', // 库存盘点新增
      removeTask: '/inv_web/invweb/inventoryCountController/removeTaskCount.shtml', // 删除盘点任务
      detail: '/inv_web/invweb/inventoryCountController/getEntityByCountNo.shtml', // 获取盘点单详情
      // 详情弹窗
      addConfirmCount: '/inv_web/invweb/inventoryCountController/addConfirmCount.shtml', // 盘点确认
      // 明细列表表头按钮
      confirmSelectCount: '/inv_web/invweb/inventoryCountController/confirmSelectCount.shtml', // 盘点确认
    },
    // 库存调整单
    adjustment: {
      getList: '/inv_web/invweb/inventoryAdOrderController/queryAdOrderList.shtml', // 库存调整单列表
      delete: '/inv_web/invweb/inventoryAdOrderController/removeAdEntity.shtml', // 删除调整单
      auditAd: '/inv_web/invweb/inventoryAdOrderController/auditAd.shtml', // 审核调整单
      executeAd: '/inv_web/invweb/inventoryAdOrderController/executeAd.shtml', // 执行调整
      cancelAuditAd: '/inv_web/invweb/inventoryAdOrderController/cancelAuditAd.shtml', // 取消审核
      cancelExecuteAd: '/inv_web/invweb/inventoryAdOrderController/cancelExecuteAd.shtml', // 取消调整
      closeAd: '/inv_web/invweb/inventoryAdOrderController/closeAd.shtml', // 关闭调整单
      cancelAd: '/inv_web/invweb/inventoryAdOrderController/cancelAd.shtml', // 取消调整单

      create: '/inv_web/invweb/inventoryAdOrderController/saveAdEntity.shtml', // 新增调整单
      getAdDetailList: '/inv_web/invweb/inventoryAdOrderController/getAdDetailList.shtml', // 获取调整明细列表
      detail: '/inv_web/invweb/inventoryAdOrderController/getEntityByAdNo.shtml', // 查询详情
      removeAdDetailEntity: '/inv_web/invweb/inventoryAdOrderController/removeAdDetailEntity.shtml', // 删除调整明细
      saveAdDetailEntity: '/inv_web/invweb/inventoryAdOrderController/saveAdDetailEntity.shtml', // 新增调整明细
      // 明细列表操作
      executeAdDetail: '/inv_web/invweb/inventoryAdOrderController/executeAdDetail.shtml', // 执行调整
      cancelExecuteAdDetail: '/inv_web/invweb/inventoryAdOrderController/cancelExecuteAdDetail.shtml', // 取消调整
      cancelAdDetailEntity: '/inv_web/invweb/inventoryAdOrderController/cancelAdDetailEntity.shtml', // 取消
    },
    // 库存移动
    movement: {
      getList: '/inv_web/invweb/inventoryMovementController/queryMv.shtml', // 获取移动列表
      executeMove: '/inv_web/invweb/inventoryMovementController/invMovement.shtml', // 执行移动
    },
    // 库存移动单
    mvOrder: {
      getList: '/inv_web/invweb/inventoryMvOrderController/queryMvOrder.shtml', // 获取移动单列表
      delete: '/inv_web/invweb/inventoryMvOrderController/removeMvOrder.shtml', // 删除移动单
      auditMvOrder: '/inv_web/invweb/inventoryMvOrderController/auditMvOrder.shtml', // 审核移动单
      performMove: '/inv_web/invweb/inventoryMvOrderController/performMove.shtml', // 执行移动单
      cancelAudit: '/inv_web/invweb/inventoryMvOrderController/cancelAudit.shtml', // 取消审核移动单
      cancelMove: '/inv_web/invweb/inventoryMvOrderController/cancelMove.shtml', // 取消移动
      closeMvOrder: '/inv_web/invweb/inventoryMvOrderController/closeMvOrder.shtml', // 关闭移动单
      cancelMvOrder: '/inv_web/invweb/inventoryMvOrderController/cancelMvOrder.shtml', // 删除移动单
      create: '/inv_web/invweb/inventoryMvOrderController/saveMvHeaderModel.shtml', // 新增移动单
      detail: '/inv_web/invweb/inventoryMvOrderController/getMvOrderHeader.shtml', // 获取移动单详情
      getDetailList: '/inv_web/invweb/inventoryMvOrderController/queryMvDetail.shtml', // 获取移动详情的明细
      cancelMvDetail: '/inv_web/invweb/inventoryMvOrderController/cancelMvDetail.shtml', // 取消明细
      removeMvDetail: '/inv_web/invweb/inventoryMvOrderController/removeMvDetail.shtml', // 删除明细
      saveMvDetailEntity: '/inv_web/invweb/inventoryMvOrderController/saveMvDetailEntity.shtml', // 保存移动明细
      queryMvTask: '/inv_web/invweb/inventoryMvOrderController/queryMvTask.shtml', // 获取移动任务列表
      performMoveForModal: '/inv_web/invweb/inventoryMvOrderController/performMoveForModal.shtml', // 移动任务弹框执行移动
      bacthCancelPerformByTask: '/inv_web/invweb/inventoryMvOrderController/bacthCancelPerformByTask.shtml', // 移动任务弹框和任务列表上的取消移动
      performMoveForMvTask: '/inv_web/invweb/inventoryMvOrderController/performMoveForMvTask.shtml', // 任务列表上的执行移动
      moveToConfirm: '/inv_web/invweb/inventoryMvOrderController/confirmHandler.shtml', // 执行移动到操作
    },
    // 移动任务
    mvTask: {
      getList: '/inv_web/invweb/inventoryMvTaskController/queryTaskMv.shtml', // 获取移动任务列表
      invTaskMovement: '/inv_web/invweb/inventoryMvTaskController/invTaskMovement.shtml', // 执行移动
      invCancelTaskMovement: '/inv_web/invweb/inventoryMvTaskController/invCancelTaskMovement.shtml', // 取消移动
    },
    // 货权转移单
    tfOrder: {
      getList: '/inv_web/invweb/inventoryTfOrderController/queryTfOrder.shtml', // 获取货权转移单列表
      delete: '/inv_web/invweb/inventoryTfOrderController/remove.shtml', // 删除货权转移单
      auditTf: '/inv_web/invweb/inventoryTfOrderController/auditTf.shtml', // 审核货权转移单
      executeTf: '/inv_web/invweb/inventoryTfOrderController/executeTf.shtml', // 执行转移
      cancelAuditTf: '/inv_web/invweb/inventoryTfOrderController/cancelAuditTf.shtml', // 取消审核
      cancelExecuteTf: '/inv_web/invweb/inventoryTfOrderController/cancelExecuteTf.shtml', // 取消转移
      closeTf: '/inv_web/invweb/inventoryTfOrderController/closeTf.shtml', // 关闭转移单
      cancelTfH: '/inv_web/invweb/inventoryTfOrderController/cancelTfH.shtml', // 取消转移单
      create: '/inv_web/invweb/inventoryTfOrderController/saveTfEntity.shtml', // 新增货权转移单
      detail: '/inv_web/invweb/inventoryTfOrderController/getHeaderByTfNo.shtml', // 转移单详情
      tfDetailList: '/inv_web/invweb/inventoryTfOrderController/queryTfDetail.shtml', // 转移任务列表
      createTfDetail: '/inv_web/invweb/inventoryTfOrderController/createTfDetail.shtml', // 生成转移明细
      saveTfDetail: '/inv_web/invweb/inventoryTfOrderController/saveTfDetail.shtml', // 新增
      cancelTask: '/inv_web/invweb/inventoryTfOrderController/cancelTfDetail.shtml', // 取消转移任务
      removeTask: '/inv_web/invweb/inventoryTfOrderController/removeTfDetail.shtml', // 删除任务
      executeTfDetail: '/inv_web/invweb/inventoryTfOrderController/executeTfDetail.shtml', // 详情中的执行转移
      cancelExecuteTfDetail: '/inv_web/invweb/inventoryTfOrderController/cancelExecuteTfDetail.shtml', // 详情中的取消转移
    },
    // 库存冻结
    block: {
      getList: '/inv_web/invweb/inventoryHoldController/queryHold.shtml', // 获取冻结列表
      removeHold: '/inv_web/invweb/inventoryHoldController/removeHold.shtml', // 解冻
      hold: '/inv_web/invweb/inventoryHoldController/saveHold.shtml', // 冻结
    },
    // 库内业务
    insideBusiness: {
      getList: '/inv_web/invweb/erpController/queryList.shtml', // 获取业务列表
      create: '/inv_web/invweb/erpController/add.shtml', // 新增和修改业务
      detail: '/inv_web/invweb/erpController/queryDetail.shtml', // 业务详情
      delete: '/inv_web/invweb/erpController/delete.shtml', // 删除业务单
      execute: '/inv_web/invweb/erpController/execute.shtml', // 执行业务
      audit: '/inv_web/invweb/erpController/audit.shtml', // 审核业务
      cancelAudit: '/inv_web/invweb/erpController/cancelAudit.shtml', // 审核业务
    }
  },
  // 库存查询
  inventoryQuery: {
    // 按条件查询
    queryByTerms: {
      summary: '/inv_web/invweb/inventoryQueryByLotLocIdController/statisticalInventoryInfo.shtml', // 汇总数据
      queryInvOwner: '/inv_web/invweb/inventoryQueryByOwnerController/queryInvOwner.shtml', // 按货主
      queryInvSku: '/inv_web/invweb/inventoryQueryBySkuController/queryInvSku.shtml', // 按商品
      queryInvLotNum: '/inv_web/invweb/inventoryQueryByLotNumController/queryInvLotNum.shtml', // 按批次
      queryInvLoc: '/inv_web/invweb/inventoryQueryByLocController/queryInvLoc.shtml', // 按库位
      queryInvSkuLoc: '/inv_web/invweb/inventoryQueryBySkuLocController/queryInvSkuLoc.shtml', // 按商品和库位
      queryInvLotLocId: '/inv_web/invweb/inventoryQueryByLotLocIdController/queryInvLotLocId.shtml', // 按商品库位跟踪号
      transaction: '/inv_web/invweb/inventoryActTranController/queryActTran.shtml', // 库存交易
    },
    // 库存交易
    transaction: {
      getList: '/inv_web/invweb/inventoryActTranController/queryActTran.shtml', // 获取交易列表
    },
    // 冻结记录查询
    blockLog: {
      getList: '/inv_web/invweb/inventoryActHoldController/queryActHold.shtml', // 冻结记录查询
    }
  },
  // 仓库基础数据
  warehouseBasic: {
    // 区域
    libraryRegion: {
      getList: '/bd_web/bdweb/basicdataAreaController/queryArea.shtml', // 获取区域查询列表
      addFormSave: '/bd_web/bdweb/basicdataAreaController/saveArea.shtml', // 新增保存接口
      delList: '/bd_web/bdweb/basicdataAreaController/removeArea.shtml', // 删除区域
      editList: '/bd_web/bdweb/basicdataAreaController/saveArea.shtml', // 列表编辑
      getDetailList: '/bd_web/bdweb/basicdataAreaController/queryArea.shtml', // 详情
    },
    // 库区
    libraryArea: {
      getList: '/bd_web/bdweb/basicdataZoneController/queryZone.shtml', // 获取库区查询列表
      areaGetList: '/bd_web/bdweb/popWinController/query.shtml?cfgKey=bdWmsArea', // 新增弹窗里区域的接口
      addFormSave: '/bd_web/bdweb/basicdataZoneController/saveZone.shtml', // 新增保存接口
      delList: '/bd_web/bdweb/basicdataZoneController/removeZone.shtml', // 删除库区
      getDetailList: '/bd_web/bdweb/basicdataZoneController/queryZone.shtml' // 详情
    },
    // 库位
    libraryPlace: {
      getList: '/bd_web/bdweb/basicdataLocController/queryLoc.shtml', // 获取库位查询列表
      areaGetList: '/bd_web/bdweb/popWinController/query.shtml?cfgKey=bdWmsZone', // 新增弹窗库区的接口
      saveLoc: '/wms/warehouse/wmLocService/saveLoc.bee', // 新增 复制 保存接口
      delList: '/wms/warehouse/wmLocService/removeLoc.bee', // 删除库位
      getDetailList: '/bd_web/bdweb/basicdataLocController/queryLoc.shtml', // 详情
      editLocBatch: '/bd_web/bdweb/basicdataLocController/editLocBatch.shtml', // 批量修改

    },
    // 商品
    libraryGoods: {
      queryWareSkuShtml: '/bd_web/bdweb/basicdataSkuController/queryWareSku.shtml', // 查询
      queryWareSku: '/bd_web/bdweb/basicdataSkuController/queryWareSku.shtml', // 商品
      confirmSelectSku: '/bd_web/bdweb/basicdataSkuController/confirmSelectSku.shtml', // 商品
      getList: '/bd_web/bdweb/basicdataSkuController/querySku.shtml', // 获取商品查询列表
      saveSku: '/bd_web/bdweb/basicdataSkuController/saveSku.shtml', // 商品新增/编辑
      remove: '/bd_web/bdweb/basicdataSkuController/remove.shtml', // 删除商品
      querySkuLoc: '/bd_web/bdweb/basicdataSkuController/querySkuLoc.shtml', // 商品列表
      querySku: '/bd_web/bdweb/basicdataSkuController/querySku.shtml',
      queryWareHouse: '/bd_web/bdweb/basicdataSkuController/queryWareHouse.shtml', // 共享商品
      shareSku: '/bd_web/bdweb/basicdataSkuController/shareSku.shtml', // 共享商品保存
      editBatch: '/bd_web/bdweb/basicdataSkuController/editBatch.shtml', // 批量修改
    },
    // 批次属性
    libraryBatch: {
      getList: '/bd_web/bdweb/basicdataLotController/query.shtml', // 获取批次属性列表
      addGetList: '/bd_web/bdweb/basicdataLotController/queryDetail.shtml', // 获取新增窗口数据
      addFormSave: '/bd_web/bdweb/basicdataLotController/save.shtml', // 新增保存接口
      delList: '/bd_web/bdweb/basicdataLotController/remove.shtml', // 删除批次属性
      getEditHead: '/bd_web/bdweb/basicdataLotController/getHeader.shtml', // 编辑头部
      getDetailList: '/bd_web/bdweb/basicdataLotController/getHeader.shtml' // 详情
    },
    // 车辆管理
    vehicle: {
      getList: '/database-web/database/wmVehicleController/queryVehicle.shtml', // 获取车辆信息分页
      getAllList: '/database-web/database/wmVehicleController/queryAllVehicle.shtml', // 获取车辆信息不分页
      create: '/database-web/database/wmVehicleController/saveVehicle.shtml', // 新增车辆信息
      update: '/database-web/database/wmVehicleController/updateVehicle.shtml', // 修改车辆信息
      delete: '/database-web/database/wmVehicleController/removeVehicle.shtml', // 删除车辆信息
    },
    // 质检项
    qcItems: {
      getList: '/bd_web/bdweb/basicdataQcItemController/queryQcItemHeader.shtml', // 获取质检项列表
      // detail: '/bd_web/bdweb/basicdataRuleQcController/getRuleQcHeader.shtml', // 质检项详情
      delete: '/bd_web/bdweb/basicdataQcItemController/removeQcItem.shtml', // 删除质检项
      create: '/bd_web/bdweb/basicdataQcItemController/saveQcItem.shtml', // 新增质检项
      getDetailList: '/bd_web/bdweb/basicdataQcItemController/queryQcDetails.shtml', // 明细列表
      deleteDetail: '/bd_web/bdweb/basicdataQcItemController/removeDetails.shtml', // 删除明细
    },
  },
  // 仓库策略管理
  strategy: {
    // 质检规则
    qcRules: {
      getList: '/bd_web/bdweb/basicdataRuleQcController/queryRuleQcHeader.shtml', // 获取质检规则列表
      detail: '/bd_web/bdweb/basicdataRuleQcController/getRuleQcHeader.shtml', // 质检规则详情
      delete: '/bd_web/bdweb/basicdataRuleQcController/removeRuleQc.shtml', // 删除质检规则
      create: '/bd_web/bdweb/basicdataRuleQcController/saveRuleQc.shtml', // 新增质检规则
      getRangeList: '/bd_web/bdweb/basicdataRuleQcController/queryRuleQcClass.shtml', // 级差列表
      deleteRange: '/bd_web/bdweb/basicdataRuleQcController/removeRuleQcClass.shtml', // 删除级差
      getSuggestList: '/bd_web/bdweb/basicdataRuleQcController/queryRuleQcDetail.shtml', // 建议列表
      deleteSuggest: '/bd_web/bdweb/basicdataRuleQcController/removeRuleQcDetail.shtml', // 删除建议
    },
  },
  // 计费合同
  charging: {
    getPoor: '/chg_web/chgweb/chargeContractController/queryDetailClass.shtml', // 极差接口
    getDetailCond: '/chg_web/chgweb/chargeContractController/queryDetailCond.shtml', // 生效条件
    costGroup: {
      getList: '/chg_web/chgweb/chargeRateGroupController/query.shtml', // 查询费用组列表
      addList: '/chg_web/chgweb/chargeRateGroupController/save.shtml', // 新增/编辑
      delList: '/chg_web/chgweb/chargeRateGroupController/remove.shtml', // 删除
    },
    contract: {
      getList: '/chg_web/chgweb/chargeContractController/query.shtml', // 计费合同列表
      addList: '/chg_web/chgweb/chargeContractController/saveContractEntity.shtml', // 新增/编辑
      delList: '/chg_web/chgweb/chargeContractController/removeContractEntity.shtm', // 删除
      query: '/chg_web/chgweb/chargeContractController/query.shtml', // 编辑头部
      queryDetail: '/chg_web/chgweb/chargeContractController/queryDetail.shtml', // 编辑列表
      auditContractEntity: '/chg_web/chgweb/chargeContractController/auditContractEntity.shtml', // 审核
      cancelAuditContractEntity: '/chg_web/chgweb/chargeContractController/cancelAuditContractEntity.shtml', // 取消审核
      chargeAgain: '/chg_web/chgweb/chargeContractController/chargeAgain.shtml', // 重新计费
      removeContractDetailClass: '/chg_web/chgweb/chargeContractController/removeContractDetailClass.shtml', // 级差删除
      removeContractCond: '/chg_web/chgweb/chargeContractController/removeContractCond.shtml', // 生效条件删除
      saveContractCond: '/chg_web/chgweb/chargeContractController/saveContractCond.shtml', // 生效条件保存
      lookSql: '/chg_web/chgweb/chargeContractController/lookSql.shtml', // 查看sql

    },
    maintain: {
      getList: '/chg_web/chgweb/chargeFeeController/query.shtml', // 费用维护
      getTotal: '/chg_web/chgweb/chargeFeeController/queryTotal.shtml', // 费用列表头部
      addList: '/chg_web/chgweb/chargeFeeController/save.shtml', // 新增/编辑
      delList: '/chg_web/chgweb/chargeFeeController/remove.shtml', // 删除
      getDetailHead: '/chg_web/chgweb/chargeFeeController/query.shtml', // 详情头部
      audit: '/chg_web/chgweb/chargeFeeController/audit.shtml', // 审核
      cancelAudit: '/chg_web/chgweb/chargeFeeController/cancelAudit.shtml', // 取消审核
      chargeAgain: '/chg_web/chgweb/chargeFeeController/generalInvCargeAgain.shtml', // 重新计算库存费用
    },
    order: {
      getList: '/chg_web/chgweb/feeSummaryController/queryFeeGroupByOrder.shtml', // 按订单
      getChildrenList: '/chg_web/chgweb/chargeFeeController/query.shtml', // 下拉表格
    },
    customer: {
      getList: '/chg_web/chgweb/feeSummaryController/queryFeeGroupByCustomer.shtml', // 按客户
      getChildrenList: '/chg_web/chgweb/chargeFeeController/query.shtml', // 下拉表格
    },
    category: {
      getList: '/chg_web/chgweb/feeSummaryController/queryFeeGroupByFeeType.shtml', // 按类别
      getChildrenList: '/chg_web/chgweb/chargeFeeController/query.shtml', // 下拉表格
    },
  },
  // 汇总报表
  summaryReport: {
    combineList: '/rep_web/repweb/reportController/getReportOfCombine.shtml', // 合并报表列表
    stockInTrend: '/rep_web/repweb/reportController/getAsnInboundQty.shtml', // 入库趋势数据
    stockOutTrend: '/rep_web/repweb/reportController/getOutTrendData.shtml', // 出库趋势数据
    stockInBusiness: '/rep_web/repweb/reportController/getReportOfInBusiness', // 入库作业报表
    stockOutBusiness: '/rep_web/repweb/reportController/getReportOfOutBusiness', // 出库作业报表
    noRcvAsnList: '/rep_web/repweb/reportController/getReportOfNoRcvAsnDetail.shtml', // 接单未收明细报表
    noSpSoList: '/rep_web/repweb/reportController/getReportOfNoSpSoDetail.shtml', // 接单未发明细报表
    rotationRateList: '/rep_web/repweb/reportController/getReportOfRotationRate.shtml', // 库存周转率报表
    standardWhAgeList: '/rep_web/repweb/reportController/getReportOfStandardWhAge.shtml', // 标准库龄报表
    emptyLocList: '/rep_web/repweb/reportController/getReportOfEmptyLoc.shtml', // 空库位统计报表
    capacityList: '/rep_web/repweb/reportController/getRepCapacityOfStatisticalByTraceId.shtml', // 按托盘统计库容报表
  },
  // 仓储作业报表
  storageTasks: {
    ReportInDailyList: {
      getList: '/rep_web/repweb/reportController/getReportOfInDaily.shtml', // 入库日报表
    },
    ReportOutDailyList: {
      getList: '/rep_web/repweb/reportController/getReportOfOutDaily.shtml' //  出库日报表
    },
    ReportLdDetailList: {
      getList: '/rep_web/repweb/reportController/getReportOfLdDetail.shtml' // 装车单明细报表
    },
    ReportInvList: {
      getList: '/rep_web/repweb/reportController/getReportOfInv.shtml' // 库存报表
    },
    ReportMvOrderList: {
      getList: '/rep_web/repweb/reportController/getReportOfMvOrder.shtml' // 库存移动报表
    },
    ReportTfOrderList: {
      getList: '/rep_web/repweb/reportController/getReportOfTfOrder.shtml' // 库存转移报表
    },
    ReportAdOrderList: {
      getList: '/rep_web/repweb/reportController/getReportOfAdOrder.shtml' // 库存调整报表
    },
    LogCancelPreAlloctionList: {
      getList: '/rep_web/repweb/reportController/getReportOfCancelPrealloc.shtml' // 取消预配日志报表
    },
    LogCancelAlloctionList: {
      getList: '/rep_web/repweb/reportController/getReportOfCancelAlloc.shtml' // 取消分配日志报表
    },
    ReportLocPADeffList: {
      getList: '/rep_web/repweb/reportController/getReportLocPADeff.shtml' // 上架库位对照表
    }
  },
  // 监控预警
  Monitor: {
    ReportOwnerInOutList: {
      getList: '/rep_web/repweb/reportController/getOwnerInOutData' // 入出库作业统计报表
    },
    ReportLocUsageRateList: {
      getList: '/rep_web/repweb/reportController/getReportOfLocUsageRate.shtml' // 库位使用率
    },
    ReportShelfLifeWarningList: {
      getList: '/rep_web/repweb/reportController/getReportOfShelfLifeWarning.shtml' // 保质期预警
    },
    ReportTaskMonitorList: {
      getList: '/rep_web/repweb/reportController/getReportOfTaskMonitor.shtml' // 任务监控
    },
    ReportInvWarnList: {
      getList: '/rep_web/repweb/reportController/getReportOfInvWarn.shtml' // 库存预警
    }
  },
  // 企业级管理
  enterprise: {
    // 多仓作业统计报表列表
    warehousesBusiness: {
      warehouseInfo: '/enp_web/enpweb/enterpriseReportController/getWareHouseEntity.shtml', // 仓库信息
      list: '/enp_web/enpweb/enterpriseReportController/queryCurrentInvInfo.shtml', // 列表信息
      stockInChart: '/enp_web/enpweb/enterpriseReportController/getEnterpriseReportOfInBusiness', // 入库图表
      stockOutChart: '/enp_web/enpweb/enterpriseReportController/getEnterpriseReportOfOutBusiness', // 出库图表
    },
    // 多仓作业统计报表列表
    ownersBusiness: {
      ownerInfo: '/enp_web/enpweb/enterpriseReportController/getOwnerEntity.shtml', // 货主信息
      list: '/enp_web/enpweb/enterpriseReportController/queryCurrentInvInfo.shtml', // 列表信息
      stockInChart: '/enp_web/enpweb/enterpriseReportController/getEnterpriseReportOfInBusiness', // 入库图表
      stockOutChart: '/enp_web/enpweb/enterpriseReportController/getEnterpriseReportOfOutBusiness', // 出库图表
    },
    warehousesStockInList: '/enp_web/enpweb/enterpriseReportController/queryInboundReport.shtml', // 多仓入库作业列表
    warehousesStockOutList: '/enp_web/enpweb/enterpriseReportController/queryOutboundReport.shtml', // 多仓入库作业列表
    warehousesInventoryList: '/enp_web/enpweb/enterpriseReportController/queryInvOfMultiWh.shtml', // 多仓入库作业列表
    warehousesCapacityList: '/enp_web/enpweb/enterpriseReportController/queryLocOccupancyRate.shtml', // 多仓入库作业列表
  },
  // 加工管理
  maintain: {
    // 组合件
    CdWhBomList: {
      getList: '/kit_web/kitweb/kitBomController/queryBomHeader.shtml', // 主列表
      save: '/kit_web/kitweb/kitBomController/saveBom.shtml', // 保存
      delList: '/kit_web/kitweb/kitBomController/removeBom.shtml', // 删除
      getHeader: '/kit_web/kitweb/kitBomController/getBomHeader.shtml', // 编辑头部
      getSubDetail: '/kit_web/kitweb/kitBomController/querySubDetail.shtml', // 编辑子件
      getStep: '/kit_web/kitweb/kitBomController/queryStep.shtml', // 编辑加工
      removeSubDetail: '/kit_web/kitweb/kitBomController/removeSubDetail.shtml', // 子件明细删除
      removeStep: '/kit_web/kitweb/kitBomController/removeStep.shtml', // 加工工序删除
    },
    KitBomKitConfirmList: {
      // 加工确认
      getList: '/kit_web/kitweb/kitController/queryKitConfirmList.shtml', // 主列表
      query: '/kit_web/kitweb/wmKitOrderController/queryKitDetail.shtml', // 加工明细
      createTask: '/kit_web/kitweb/kitController/createTaskPaByResultDetail.shtml', // 生成上架任务
      kitCancelConfirm: '/kit_web/kitweb/kitController/kitCancelConfirmByKitNo.shtml', // 取消加工
      createTaskPa: '/kit_web/kitweb/kitController/createTaskPaByKitNo.shtml', // 生成上架任务
      kitControll: '/kit_web/kitweb/kitController/kitConfirmByKitNo.shtml', // 加工确认
      header: '/kit_web/kitweb/kitController/getKitOrderHeader.shtml', // 头部
      querykit: '/kit_web/kitweb/kitController/queryKitStep.shtml', // 加工工序
      saveKit: '/kit_web/kitweb/kitController/saveKitStep.shtml', // 工序行号
    },
    KitTaskPaList: {
      // 加工上架
      getList: '/kit_web/kitweb/kitController/queryKitPaTaskList.shtml', // 主列表
      queryKit: '/kit_web/kitweb/kitController/queryKitPaTaskDetail.shtml', // 商品信息
      kitControll: '/kit_web/kitweb/kitController/kitBatchPutaway.shtml', // 上架确认
      kitBatchPutaway: '/kit_web/kitweb/kitController/kitBatchRemovePutaway.shtml', // 删除上架任务
      kitBatch: '/kit_web/kitweb/kitController/kitBatchPutaway.shtml', // 操作
      byKitNo: '/kit_web/kitweb/kitController/kitBatchPutawayByKitNo.shtml', // 操作
    },
    KitTaskPickingList: {
      // 加工拣货
      getList: '/kit_web/kitweb/kitController/queryPickTask.shtml', // 主列表
      pickingBy: '/kit_web/kitweb/kitController/pickingByTask.shtml', // 拣货确认
      cancelPicking: '/kit_web/kitweb/kitController/cancelPickingByTask.shtml', // 取消拣货
    },
    WmKitOrderList: {
      // 加工订单
      getList: '/kit_web/kitweb/wmKitOrderController/queryKitOrder.shtml', // 主列表
      save: '/kit_web/kitweb/wmKitOrderController/saveKitOrder.shtml', // 保存
      delList: '/kit_web/kitweb/wmKitOrderController/removeKitOrder.shtml', // 删除
      more: '/kit_web/kitweb/wmKitOrderController/', // 更多操作
      getHead: '/kit_web/kitweb/wmKitOrderController/getKitOrderHeader.shtml', // 编辑头部
      getparent: '/kit_web/kitweb/wmKitOrderController/queryParentDetail.shtml', // 编辑父件
      getsub: '/kit_web/kitweb/wmKitOrderController/querySubDetail.shtml', // 编辑子件
      remove: '/kit_web/kitweb/wmKitOrderController/removeParentDetail.shtml', // 编辑移除
      crateSub: '/kit_web/kitweb/wmKitOrderController/generateSubs.shtml', // 生成子件
      cancelSub: '/kit_web/kitweb/wmKitOrderController/cancelGenerateSubs.shtml', // 取消子件
      cancelParen: '/kit_web/kitweb/wmKitOrderController/cancelParent.shtml', // 取消订单行
      queryKit: '/kit_web/kitweb/wmKitOrderController/queryKitTask.shtml', // 加工任务
      queryKitDetail: '/kit_web/kitweb/wmKitOrderController/queryKitDetail.shtml', // 加工明细
      allocSubdetail: '/kit_web/kitweb/wmKitOrderController/allocSubDetail.shtml', // 分配
      cancelAll: '/kit_web/kitweb/wmKitOrderController/cancelAllocByKitTask.shtml', // 取消分配
      alloc: '/kit_web/kitweb/wmKitOrderController/alloc.shtml', // 分配
      cancelAlloc: '/kit_web/kitweb/wmKitOrderController/cancelAlloc.shtml', // 取消分配
      cancelAudit: '/kit_web/kitweb/wmKitOrderController/cancelAudit.shtml', // 取消审核
      saveTitTask: '/kit_web/kitweb/wmKitOrderController/saveKitTask.shtml', // 确认
    },
  },
  // 月台管理
  platform: {
    // 月台
    DockBasicdataList: {
      getList: '/doc_web/docweb/dockBasicdataController/query.shtml', // 主列表
      save: '/doc_web/docweb/dockBasicdataController/save.shtml', // 保存
      delList: '/doc_web/docweb/dockBasicdataController/remove.shtml', // 删除
      getHead: '/doc_web/docweb/dockBasicdataController/query.shtml', // 详情头部
    },
    // 月台调度
    DockDispatchList: {
      getAsnList: '/doc_web/docweb/dockDispatchController/queryAsn.shtml', // 预收货主列表
      getLdList: '/doc_web/docweb/dockDispatchController/queryLd.shtml', // 装车单主列表
      getdockList: '/doc_web/docweb/dockBasicdataController/query.shtml', // 调度看板
      getDetailHead: '/doc_web/docweb/dockDispatchController/queryAsn.shtml', //  详情头部
      getDetaildock: '/doc_web/docweb/dockBasicdataController/query.shtml', // 详情月台看板
      getDetailList: '/doc_web/docweb/dockDispatchController/queryDock.shtml', // 详情调度明细
      saveTime: '/doc_web/docweb/dockDispatchController/saveWmDockDetail.shtml', // 保存时间
      queryDock: '/doc_web/docweb/dockDispatchController/queryDock.shtml', // 查询已经预约时间
      getqueryWmDock: '/doc_web/docweb/dockDispatchController/queryWmDock.shtml', // 详情查询日期预约时间
      delTime: '/doc_web/docweb/dockDispatchController/removeWmDockDetail.shtml', // 详情删除预约日期
      occupy: '/doc_web/docweb/dockDispatchController/useDock.shtml', // 占用月台
      release: '/doc_web/docweb/dockDispatchController/release.shtml', // 释放月台
    }
  },
  // 越库管理
  CrossDock: {
    // 生成越库
    CrossDockTaskGenerateList: {
      getList: '/crd_web/crdweb/crossDockController/queryCrossDockCreateTask.shtml', // 主列表
      getHead: '/crd_web/crdweb/crossDockController/getHeaderEntity.shtml', // 编辑头部
      getAsn: '/crd_web/crdweb/crossDockController/getAsnCrossDockDetailByQuery.shtml', // 编辑入库信息
      getSon: '/crd_web/crdweb/crossDockController/getSoCrossDockDetailByQuery.shtml', // 编辑出库信息
      getCreateTaskByInDirect: '/crd_web/crdweb/crossDockController/createTaskByInDirect.shtml', // 编辑标记越库
      getMarkTask: '/crd_web/crdweb/crossDockController/crossDockCreateTaskDetail.shtml', // 编辑生成越库
      getCrossDock: '/crd_web/crdweb/crossDockController/crossDockCreateTask.shtml', // 生成越库
      getMark: '/crd_web/crdweb/crossDockController/crossDocCreateTaskBySkuInDirect.shtml', // 标记越库
    },
    // 执行越库
    CrossDockTaskExcuteList: {
      getList: '/crd_web/crdweb/crossDockController/getTaskItemByQueryInfo.shtml', // 主列表
      getAsn: '/crd_web/crdweb/crossDockController/getAsnDetailCrossTaskExcute.shtml', // 编辑收货明细
      getSon: '/crd_web/crdweb/crossDockController/getSoDetailCrossTaskExcute.shtml', // 编辑出库明细
      getAllot: '/crd_web/crdweb/crossDockController/getAllocDetailCrossTaskExcute.shtml', // 编辑分配明细
      getCreateCrossDock: '/crd_web/crdweb/crossDockController/crossDockConfirmDetail.shtml', // 编辑执行越库
      cancelCrossDock: '/crd_web/crdweb/crossDockController/cancleRemarkDetail.shtml', // 编辑取消越库分拨
      createCrossDock: '/crd_web/crdweb/crossDockController/excuteCrossDock.shtml', // 执行越库
      cancelCross: '/crd_web/crdweb/crossDockController/cancelCrossDock.shtml', // 取消越库
      delCrossDock: '/crd_web/crdweb/crossDockController/removeHandlerDirect.shtml', // 删除越库直接
      cancelCrossDockMark: '/crd_web/crdweb/crossDockController/removeHandlerIndirect.shtml', // 取消越库标记
    }
  },

  // 独立多入口业务页面
  businessPages: {
    // 客户查询模块
    viewReports: {
      getLivePhoto: '/database-web/database/customerQueryController/queryInvLivePhoto', // 查询库存实景
      // getQCReports: '/database-web/database/wmAlyFileController/queryFile.shtml', // 查询质检报告
      getQCReports: '/database-web/database/customerQueryController/queryQcReport', // 查询质检报告
      getWarehouseInfo: '/database-web/database/customerQueryController/queryWarehouse', // 获取仓库信息
    },
    // 实时路径模块
    logisticsInfo: {
      getLogisticsOrder: '/oms/tci/logisticsInfoService/queryLogisticsDetail.bee', // 获取物流订单信息
      getOrderPath: '/oms/lt/logisticsInfoService/queryRealTimePath.bee', // 根据单号和类型获取路径
      getLogisticsDetail: '/oms/tci/logisticsInfoService/queryWaybillDetail.bee', // 获取运单详情
    },
  }
}

let API = BASE_API

// 为每个接口地址加入前缀
const PREFIX = '/dev' // 前缀，后端配合配置ng
function addPrefix (obj) {
  for (const item of Object.entries(obj)) {
    if (typeof item[1] === 'string') {
      // string类型为接口地址
      obj[item[0]] = `${PREFIX}${item[1]}`
    } else {
      // obj类型为子接口对象，继续递归
      addPrefix(item[1])
    }
  }
  return obj
}
// 开发模式才需要加前缀
if (process.env.NODE_ENV === 'development') {
  API = addPrefix(BASE_API)
}

export default API
