import qs from 'querystring'
// 网络请求报错
/* eslint-disable no-unused-vars */
const codeMessage = {
  200: '服务器成功返回请求的数据。',
  201: '新建或修改数据成功。',
  202: '一个请求已经进入后台排队（异步任务）。',
  204: '删除数据成功。',
  400: '发出的请求有错误，服务器没有进行新建或修改数据的操作。',
  401: '用户没有权限（令牌、用户名、密码错误）。',
  403: '用户得到授权，但是访问是被禁止的。',
  404: '发出的请求针对的是不存在的记录，服务器没有进行操作。',
  406: '请求的格式不可得。',
  410: '请求的资源被永久删除，且不会再得到的。',
  422: '当创建一个对象时，发生一个验证错误。',
  500: '服务器发生错误，请检查服务器。',
  502: '网关错误。',
  503: '服务不可用，服务器暂时过载或维护。',
  504: '网关超时。',
}

// 业务错误信息
const errMsg = {
  '600001': '登录失败，请重新登录',
  '600005': '服务器开小差了 >.<',
  '100002': '服务器罢工了 >.<',
}

// 默认请求配置
let defaultConfig = {
  // baseURL: 'http://192.168.6.141',

  // 超时设置
  timeout: 30000,

  // 默认请求头
  headers: {
    'Content-Type': 'application/json',
    // 'source-type': 'web', // web端必加，与（ios，安卓，微信）区分
    // 'role-type': 'mgt',
  },
}
// 兼容ajax请求配置
const ajaxConfig = {
  transformRequest: [data => qs.stringify(data)], // 兼容ajax请求
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded', // 兼容ajax请求
    'X-Requested-With': 'XMLHttpRequest', // 兼容ajax请求
  },
  // 允许携带cookie
  // withCredentials: true,
}
defaultConfig = { ...defaultConfig, ...ajaxConfig }

export { errMsg, defaultConfig }
