import Login from '@/views/Login' // 登录
import Framework from '@/views/Framework'
import Home from '@/views/Home'

/**
 * 入库模块
*/
import PreReceiving from '@/views/StockIn/PreReceiving'
import PreReceivingAdd from '@/views/StockIn/PreReceiving/components/add-form'
import CollectGoods from '@/views/StockIn/CollectGoods/CollectGoods'
import CollectGoodsAdd from '@/views/StockIn/CollectGoods/components/add-form'
import Quality from '@/views/StockIn/Quality/Quality'
import QualityAdd from '@/views/StockIn/Quality/components/add-form'
import Manage from '@/views/StockIn/Manage'
import ManageAdd from '@/views/StockIn/Manage/components/add-form'
import Putaway from '@/views/StockIn/Putaway'
import PutawayAdd from '@/views/StockIn/Putaway/components/add-form'
/**
 * 出库模块
*/
import SendOrder from '@/views/StockOut/SendOrder/SendOrder'
import SendOrderAdd from '@/views/StockOut/SendOrder/components/add-form'
import Picking from '@/views/StockOut/Picking/Picking'
import PickingDetail from '@/views/StockOut/Picking/components/add-form'
import DeliverGoods from '@/views/StockOut/DeliverGoods/DeliverGoods'
import DeliverGoodsDetail from '@/views/StockOut/DeliverGoods/components/add-form'
import LoadingList from '@/views/StockOut/LoadingList/LoadingList'
import LoadingListAdd from '@/views/StockOut/LoadingList/components/add-form'

/**
 * 库存管理模块
 */
import Count from '@/views/Inventory/Count'
import CountCreator from '@/views/Inventory/Count/components/Creator'
import Adjustment from '@/views/Inventory/Adjustment'
import AdCreator from '@/views/Inventory/Adjustment/components/Creator'
import Block from '@/views/Inventory/Block'
import BlockCreator from '@/views/Inventory/Block/components/Creator'
import Movement from '@/views/Inventory/Movement'
import MvCreator from '@/views/Inventory/Movement/components/Creator'
import MovementOrder from '@/views/Inventory/MovementOrder'
import MvOrderCreator from '@/views/Inventory/MovementOrder/components/Creator'
import MovementTask from '@/views/Inventory/MovementTask'
import MvTaskCreator from '@/views/Inventory/MovementTask/components/Creator'
import OwnerTransfer from '@/views/Inventory/OwnerTransfer'
import TfCreator from '@/views/Inventory/OwnerTransfer/components/Creator'
import InsideBusiness from '@/views/Inventory/InsideBusiness'
import InsideBusinessCreator from '@/views/Inventory/InsideBusiness/components/Creator'

/**
 * 库存查询模块
 * */
import QueryByTerms from '@/views/InventoryQuery/QueryByTerms'
import Transaction from '@/views/InventoryQuery/Transaction'
import TranCreator from '@/views/InventoryQuery/Transaction/components/Creator'
import BlockLog from '@/views/InventoryQuery/BlockLog'
import BlockLogCreator from '@/views/InventoryQuery/BlockLog/components/Creator'

/**
 * 仓库基础数据模块
 */
import LibraryRegion from '@/views/WarehouseBasic/LibraryRegion'
import LibraryArea from '@/views/WarehouseBasic/LibraryArea'
import LibraryPlace from '@/views/WarehouseBasic/LibraryPlace'
import LibraryGoods from '@/views/WarehouseBasic/LibraryGoods'
import LibraryGoodsAdd from '@/views/WarehouseBasic/LibraryGoods/components/add-form'
import LibraryBatch from '@/views/WarehouseBasic/LibraryBatch'
import Vehicle from '@/views/WarehouseBasic/Vehicle'
import QCItems from '@/views/WarehouseBasic/QCItems'
import QCItemsCreator from '@/views/WarehouseBasic/QCItems/components/Creator'

/**
 * 仓库策略管理
 * */
import QCRules from '@/views/Strategy/QCRules'
import QCRulesCreator from '@/views/Strategy/QCRules/components/Creator'

/**
  计费管理
 */
import CostGroup from '@/views/Charging/CostGroup'
import Contract from '@/views/Charging/Contract'
import ContractAdd from '@/views/Charging/Contract/components/add-form'
import Maintain from '@/views/Charging/Maintain'
import MaintainAdd from '@/views/Charging/Maintain/components/add-form'
import Order from '@/views/Charging/Order'
import Customer from '@/views/Charging/Customer'
import Category from '@/views/Charging/Category'

// 仓储作业报表
import ReportInDailyList from '@/views/StorageTasks/ReportInDailyList'
import ReportOutDailyList from '@/views/StorageTasks/ReportOutDailyList'
import ReportLdDetailList from '@/views/StorageTasks/ReportLdDetailList'
import ReportInvList from '@/views/StorageTasks/ReportInvList'
import ReportMvOrderList from '@/views/StorageTasks/ReportMvOrderList'
import ReportTfOrderList from '@/views/StorageTasks/ReportTfOrderList'
import ReportAdOrderList from '@/views/StorageTasks/ReportAdOrderList'
import LogCancelPreAlloctionList from '@/views/StorageTasks/LogCancelPreAlloctionList'
import LogCancelAlloctionList from '@/views/StorageTasks/LogCancelAlloctionList'
import ReportLocPADeffList from '@/views/StorageTasks/ReportLocPADeffList'

// 监控预警
import ReportOwnerInOutList from '@/views/Monitor/ReportOwnerInOutList'
import ReportLocUsageRateList from '@/views/Monitor/ReportLocUsageRateList'
import ReportShelfLifeWarningList from '@/views/Monitor/ReportShelfLifeWarningList'
import ReportTaskMonitorList from '@/views/Monitor/ReportTaskMonitorList'
import ReportInvWarnList from '@/views/Monitor/ReportInvWarnList'

/**
 * 汇总统计报表模块
 * */
import Combine from '@/views/SummaryReport/Combine'
import StockInTrend from '@/views/SummaryReport/StockInTrend'
import StockOutTrend from '@/views/SummaryReport/StockOutTrend'
import StockInBusiness from '@/views/SummaryReport/StockInBusiness'
import StockOutBusiness from '@/views/SummaryReport/StockOutBusiness'
import CapacityByTraceId from '@/views/SummaryReport/CapacityByTraceId'
import EmptyLoc from '@/views/SummaryReport/EmptyLoc'
import NoRcvAsn from '@/views/SummaryReport/NoRcvAsn'
import NoSpSo from '@/views/SummaryReport/NoSpSo'
import RotationRate from '@/views/SummaryReport/RotationRate'
import StandardWhAge from '@/views/SummaryReport/StandardWhAge'

/**
 * 企业级管理
 * */
import WarehousesBusiness from '@/views/Enterprise/WarehousesBusiness'
import OwnersBusiness from '@/views/Enterprise/OwnersBusiness'
import WarehousesStockIn from '@/views/Enterprise/WarehousesStockIn'
import WarehousesStockOut from '@/views/Enterprise/WarehousesStockOut'
import WarehousesInventory from '@/views/Enterprise/WarehousesInventory'
import WarehousesCapacity from '@/views/Enterprise/WarehousesCapacity'

// 加工管理
import CdWhBomList from '@/views/machining/CdWhBomList'
import CdWhBomListAdd from '@/views/machining/CdWhBomList/components/add-form'
import WmKitOrderList from '@/views/machining/WmKitOrderList'
import WmKitOrderListAdd from '@/views/machining/WmKitOrderList/components/add-form'
import KitTaskPickingList from '@/views/machining/KitTaskPickingList'
import KitBomKitConfirmList from '@/views/machining/KitBomKitConfirmList'
import kitBomKitConfirmListAdd from '@/views/machining/KitBomKitConfirmList/components/add-form.vue'
import KitTaskPaList from '@/views/machining/KitTaskPaList'
import KitTaskPaListAdd from '@/views/machining/KitTaskPaList/components/add-for.vue'

// 月台管理
import DockBasicdataList from '@/views/Platform/DockBasicdataList'
import DockDispatchList from '@/views/Platform/DockDispatchList'
import DockDispatchListAdd from '@/views/Platform/DockDispatchList/components/add-form'

// 越库管理
import CrossDockTaskGenerateList from '@/views/CrossDock/CrossDockTaskGenerateList'
import CrossDockTaskGenerateListAdd from '@/views/CrossDock/CrossDockTaskGenerateList/components/add-form'
import CrossDockTaskExcuteListAdd from '@/views/CrossDock/CrossDockTaskExcuteList/components/add-form'
import CrossDockTaskExcuteList from '@/views/CrossDock/CrossDockTaskExcuteList'

// 库存可视化管理
import GraphicalViewer from '@/views/Graphical/GraphicalViewer'
import GraphicalConfig from '@/views/Graphical/GraphicalConfig'
/*******************************************/

let routes = [
  {
    path: '/',
    redirect: '/login'
  },
  {
    path: '/login',
    name: 'login',
    meta: {
      keepAlive: true,
    },
    component: Login
  },
  {
    path: '/framework',
    name: 'framework',
    meta: {
      keepAlive: true,
    },
    component: Framework,
    children: [
      {
        path: '/',
        redirect: 'home',
      },
      {
        path: 'home',
        name: 'home',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: Home
      },
      // 入库
      {
        path: 'preReceiving',
        name: 'preReceiving',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: PreReceiving,
        children: [
          {
            path: 'preReceivingAdd',
            name: 'preReceivingAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: PreReceivingAdd
          }
        ]
      },
      {
        path: 'collectGoods',
        name: 'collectGoods',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: CollectGoods,
        children: [
          {
            path: 'collectGoodsAdd',
            name: 'collectGoodsAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: CollectGoodsAdd
          }
        ]
      },
      {
        path: 'quality',
        name: 'quality',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Quality,
        children: [
          {
            path: 'qualityAdd',
            name: 'qualityAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: QualityAdd
          }
        ]
      },
      {
        path: 'manage',
        name: 'manage',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Manage,
        children: [
          {
            path: 'manageAdd',
            name: 'manageAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: ManageAdd
          }
        ]
      },
      {
        path: 'putaway',
        name: 'putaway',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: Putaway,
        children: [
          {
            path: 'putawayAdd',
            name: 'putawayAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: PutawayAdd
          }
        ]
      },
      // 出库
      {
        path: 'sendOrder',
        name: 'sendOrder',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: SendOrder,
        children: [
          {
            path: 'sendOrderAdd',
            name: 'sendOrderAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: SendOrderAdd
          }
        ]
      },
      {
        path: 'picking',
        name: 'picking',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Picking,
        children: [
          {
            path: 'pickingDetail',
            name: 'pickingDetail',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: PickingDetail
          }
        ]
      },
      {
        path: 'deliverGoods',
        name: 'deliverGoods',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: DeliverGoods,
        children: [
          {
            path: 'deliverGoodsDetail',
            name: 'deliverGoodsDetail',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: DeliverGoodsDetail
          }
        ]
      },
      {
        path: 'loadingList',
        name: 'loadingList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LoadingList,
        children: [
          {
            path: 'loadingListAdd',
            name: 'loadingListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: LoadingListAdd
          }
        ]
      },
      // 库存管理
      {
        path: 'count',
        name: 'count',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Count,
        children: [
          {
            path: 'countCreator',
            name: 'countCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: CountCreator
          },
        ],
      },
      {
        path: 'adjustment',
        name: 'adjustment',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Adjustment,
        children: [
          {
            path: 'adCreator',
            name: 'adCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: AdCreator
          },
        ],
      },
      {
        path: 'block',
        name: 'block',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Block,
        children: [
          {
            path: 'queryByTermsInBlock',
            name: 'queryByTermsInBlock',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: QueryByTerms,
          },
        ],
      },
      {
        path: 'movement',
        name: 'movement',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Movement,
        children: [
          {
            path: 'mvCreator',
            name: 'mvCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: MvCreator,
          },
        ],
      },
      {
        path: 'mvOrder',
        name: 'mvOrder',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: MovementOrder,
        children: [
          {
            path: 'mvOrderCreator',
            name: 'mvOrderCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: MvOrderCreator
          },
        ],
      },
      {
        path: 'movementTask',
        name: 'movementTask',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: MovementTask,
        children: [
          {
            path: 'mvTaskCreator',
            name: 'mvTaskCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: MvTaskCreator,
          },
        ],
      },
      {
        path: 'ownerTransfer',
        name: 'ownerTransfer',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: OwnerTransfer,
        children: [
          {
            path: 'tfCreator',
            name: 'tfCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: TfCreator
          },
        ],
      },
      {
        path: 'insideBusiness',
        name: 'insideBusiness',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: InsideBusiness,
        children: [
          {
            path: 'insideBusinessCreator',
            name: 'insideBusinessCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: InsideBusinessCreator
          },
        ],
      },
      // 库存查询
      {
        path: 'queryByTerms',
        name: 'queryByTerms',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: QueryByTerms,
      },
      {
        path: 'transaction',
        name: 'transaction',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Transaction,
        children: [
          {
            path: 'tranCreator',
            name: 'tranCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: TranCreator
          }
        ]
      },
      {
        path: 'blockLog',
        name: 'blockLog',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: BlockLog,
        children: [
          {
            path: 'blockLogCreator',
            name: 'blockLogCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: BlockLogCreator
          }
        ]
      },

      // 仓库基础数据
      {
        path: 'libraryRegion',
        name: 'libraryRegion',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LibraryRegion
      },
      {
        path: 'libraryArea',
        name: 'libraryArea',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LibraryArea
      },
      {
        path: 'libraryPlace',
        name: 'libraryPlace',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LibraryPlace
      },
      {
        path: 'libraryGoods',
        name: 'libraryGoods',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LibraryGoods,
        children: [
          {
            path: 'libraryGoodsAdd',
            name: 'libraryGoodsAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: LibraryGoodsAdd
          }
        ]
      },
      {
        path: 'libraryBatch',
        name: 'libraryBatch',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LibraryBatch
      },
      {
        // 车辆管理
        path: 'vehicle',
        name: 'vehicle',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Vehicle
      },
      {
        // 质检项
        path: 'qcItems',
        name: 'qcItems',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: QCItems,
        children: [
          {
            path: 'qcItemsCreator',
            name: 'qcItemsCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: QCItemsCreator
          }
        ]
      },

      // 策略管理
      {
        path: 'qcRules',
        name: 'qcRules',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: QCRules,
        children: [
          {
            path: 'qcRulesCreator',
            name: 'qcRulesCreator',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: QCRulesCreator
          }
        ]
      },

      // 计费管理
      {
        path: 'costGroup',
        name: 'costGroup',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: CostGroup
      },
      {
        path: 'contract',
        name: 'contract',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Contract,
        children: [
          {
            path: 'contractAdd',
            name: 'contractAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: ContractAdd
          }
        ]
      },
      {
        path: 'maintain',
        name: 'maintain',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Maintain,
        children: [
          {
            path: 'maintainAdd',
            name: 'maintainAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: MaintainAdd
          }
        ]
      },
      {
        path: 'order',
        name: 'order',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Order
      },
      {
        path: 'customer',
        name: 'customer',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Customer
      },
      {
        path: 'category',
        name: 'category',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Category
      },
      // 仓储作业报表
      {
        path: 'reportInDailyList',
        name: 'reportInDailyList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportInDailyList
      },
      {
        path: 'reportOutDailyList',
        name: 'reportOutDailyList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportOutDailyList
      },
      {
        path: 'reportLdDetailList',
        name: 'reportLdDetailList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportLdDetailList
      },
      {
        path: 'reportInvList',
        name: 'reportInvList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportInvList
      },
      {
        path: 'reportMvOrderList',
        name: 'reportMvOrderList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportMvOrderList
      },
      {
        path: 'reportTfOrderList',
        name: 'reportTfOrderList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportTfOrderList
      },
      {
        path: 'reportAdOrderList',
        name: 'reportAdOrderList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportAdOrderList
      },
      {
        path: 'logCancelPreAlloctionList',
        name: 'logCancelPreAlloctionList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LogCancelPreAlloctionList
      },
      {
        path: 'logCancelAlloctionList',
        name: 'logCancelAlloctionList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: LogCancelAlloctionList
      },
      {
        path: 'reportLocPADeffList',
        name: 'reportLocPADeffList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportLocPADeffList
      },
      // 监控预警
      {
        path: 'reportOwnerInOutList',
        name: 'reportOwnerInOutList',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: ReportOwnerInOutList
      },
      {
        path: 'reportLocUsageRateList',
        name: 'reportLocUsageRateList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportLocUsageRateList
      },
      {
        path: 'reportShelfLifeWarningList',
        name: 'reportShelfLifeWarningList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportShelfLifeWarningList
      },
      {
        path: 'reportTaskMonitorList',
        name: 'reportTaskMonitorList',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: ReportTaskMonitorList
      },
      {
        path: 'reportInvWarnList',
        name: 'reportInvWarnList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: ReportInvWarnList
      },
      // 汇总统计报表
      {
        // 入库量趋势
        path: 'combine',
        name: 'combine',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: Combine
      },
      {
        // 入库量趋势
        path: 'stockInTrend',
        name: 'stockInTrend',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: StockInTrend
      },
      {
        // 出库量趋势
        path: 'stockOutTrend',
        name: 'stockOutTrend',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: StockOutTrend
      },
      {
        // 入库作业
        path: 'stockInBusiness',
        name: 'stockInBusiness',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: StockInBusiness
      },
      {
        // 出库作业
        path: 'stockOutBusiness',
        name: 'stockOutBusiness',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: StockOutBusiness
      },
      {
        // 接单未收明细
        path: 'noRcvAsn',
        name: 'noRcvAsn',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: NoRcvAsn
      },
      {
        // 接单未发明细
        path: 'noSpSo',
        name: 'noSpSo',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: NoSpSo
      },
      {
        // 报表周转率
        path: 'rotationRate',
        name: 'rotationRate',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: RotationRate
      },
      {
        // 库龄
        path: 'standardWhAge',
        name: 'standardWhAge',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: StandardWhAge
      },
      {
        // 空库位
        path: 'emptyLoc',
        name: 'emptyLoc',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: EmptyLoc
      },
      {
        // 库容
        path: 'capacityByTraceId',
        name: 'capacityByTraceId',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: CapacityByTraceId
      },
      // 企业级管理
      {
        // 多仓作业报表
        path: 'warehousesBusiness',
        name: 'warehousesBusiness',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: WarehousesBusiness
      },
      {
        // 多仓作业报表
        path: 'ownersBusiness',
        name: 'ownersBusiness',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: OwnersBusiness
      },
      {
        // 多仓入库作业报表
        path: 'warehousesStockIn',
        name: 'warehousesStockIn',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: WarehousesStockIn
      },
      {
        // 多仓出库作业报表
        path: 'warehousesStockOut',
        name: 'warehousesStockOut',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: WarehousesStockOut
      },
      {
        // 多仓库存报表
        path: 'warehousesInventory',
        name: 'warehousesInventory',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: WarehousesInventory
      },
      {
        // 多仓库存报表
        path: 'warehousesCapacity',
        name: 'warehousesCapacity',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: WarehousesCapacity
      },
      // 加工管理
      // 组合件
      {
        path: 'cdWhBomList',
        name: 'cdWhBomList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: CdWhBomList,
        children: [
          {
            path: 'cdWhBomListAdd',
            name: 'cdWhBomListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: CdWhBomListAdd
          }
        ]
      },
      // 加工订单
      {
        path: 'wmKitOrderList',
        name: 'wmKitOrderList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: WmKitOrderList,
        children: [
          {
            path: 'wmKitOrderListAdd',
            name: 'wmKitOrderListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: WmKitOrderListAdd
          }
        ]
      },
      // 加工拣货
      {
        path: 'kitTaskPickingList',
        name: 'kitTaskPickingList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: KitTaskPickingList
      },
      // 加工确认
      {
        path: 'kitBomKitConfirmList',
        name: 'kitBomKitConfirmList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: KitBomKitConfirmList,
        children: [
          {
            path: 'kitBomKitConfirmListAdd',
            name: 'kitBomKitConfirmListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: kitBomKitConfirmListAdd
          }
        ]
      },
      // 加工上架
      {
        path: 'kitTaskPaList',
        name: 'kitTaskPaList',
        meta: {
          keepAlive: true,
          dropFilter: true
        },
        component: KitTaskPaList,
        children: [
          {
            path: 'kitTaskPaListAdd',
            name: 'kitTaskPaListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: KitTaskPaListAdd
          }
        ]
      },
      // 月台管理
      {
        // 月台
        path: 'dockBasicdataList',
        name: 'dockBasicdataList',
        meta: {
          keepAlive: true,
          dropFilter: true,
        },
        component: DockBasicdataList
      },
      {
        // 月台调度
        path: 'dockDispatchList',
        name: 'dockDispatchList',
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
        component: DockDispatchList,
        children: [
          {
            path: 'dockDispatchListAdd',
            name: 'dockDispatchListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: DockDispatchListAdd
          }
        ]
      },
      // 越库管理
      {
        // 生成越库管理
        path: 'crossDockTaskGenerateList',
        name: 'crossDockTaskGenerateList',
        meta: {
          keepAlive: true,
          dropFilter: true,
        },
        component: CrossDockTaskGenerateList,
        children: [
          {
            path: 'crossDockTaskGenerateListAdd',
            name: 'crossDockTaskGenerateListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: CrossDockTaskGenerateListAdd
          }
        ]
      },
      {// 执行越库任务
        path: 'crossDockTaskExcuteList',
        name: 'crossDockTaskExcuteList',
        meta: {
          keepAlive: true,
          dropFilter: true,
        },
        component: CrossDockTaskExcuteList,
        children: [
          {
            path: 'crossDockTaskExcuteListAdd',
            name: 'crossDockTaskExcuteListAdd',
            meta: {
              keepAlive: true,
              dropFilter: false,
            },
            component: CrossDockTaskExcuteListAdd
          }
        ]
      },
      {
        // 库存图形可视化
        path: 'graphicalViewer',
        name: 'graphicalViewer',
        component: GraphicalViewer,
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
      },
      {
        // 库存图形可视化配置
        path: 'graphicalConfig',
        name: 'graphicalConfig',
        component: GraphicalConfig,
        meta: {
          keepAlive: true,
          dropFilter: false,
        },
      },
    ]
  },
]

export default routes
