/**
 * created by wbz20
 * on 2018/10/25
 * */

// 按何条件查询配置
export default [
  {
    id: 0,
    name: '按货主',
    type: 'queryInvOwner',
    // 按钮权限编码
    authNos: {
      refresh: 50310010101,
      transaction: 50310010102,
    },
    // 右侧快捷查询框
    inputs: [{
      placeholder: '快捷查询（货主编码/货主名称）',
      shortcut: 'ownerFuzzy', // 查询字段
    }],
    // 库存交易参数
    tfParams: {
      // 目标页面字段: 当前列表字段
      fmToOwnerArr: 'ownerCode',
      ownerCode: 'ownerName',
    },
  },
  {
    id: 1,
    name: '按商品',
    type: 'queryInvSku',
    authNos: {
      refresh: 50310020101,
      transaction: 50310020102,
    },
    inputs: [{ // ##不知为何, 如果货主inputs放第一位, 下拉框从货主切换到商品会不渲染inputs
      placeholder: '快捷查询（商品编码/商品名称）',
      shortcut: 'skuFuzzy',
    }, {
      placeholder: '快捷查询（货主编码/货主名称）',
      shortcut: 'ownerFuzzy',
    }],
    // 库存交易参数
    tfParams: {
      // 目标页面字段: 当前列表字段
      fmToOwnerArr: 'ownerCode',
      ownerCode: 'ownerName',
      fmToSkuArr: 'skuCode',
      skuCode: 'skuName',
    },
  },
  {
    id: 2,
    name: '按批次',
    type: 'queryInvLotNum',
    authNos: {
      refresh: 50310030101,
      transaction: 50310030105,
      more: 50310030102,
      query: 50310030103,
      reset: 50310030104,
    },
    inputs: [{
      placeholder: '快捷查询（批次号）',
      shortcut: 'lotNum',
    }],
    // 库存交易参数
    tfParams: {
      // 目标页面字段: 当前列表字段
      fmToOwnerArr: 'ownerCode',
      ownerCode: 'ownerName',
      fmToSkuArr: 'skuCode',
      skuCode: 'skuName',
      fmToLotArr: 'lotNum',
    },
  },
  {
    id: 3,
    name: '按库位',
    type: 'queryInvLoc',
    authNos: {
      refresh: 50310040101,
      transaction: 50310040102,
    },
    inputs: [{
      placeholder: '快捷查询（库位）',
      shortcut: 'locCodeFuzzy',
    }],
    // 库存交易参数
    tfParams: {
      // 目标页面字段: 当前列表字段
      fmToLocArr: 'locCode'
    },
  },
  {
    id: 4,
    name: '按商品/库位',
    type: 'queryInvSkuLoc',
    authNos: {
      refresh: 50310050101,
      transaction: 50310050102,
    },
    inputs: [{
      placeholder: '快捷查询（商品编码/商品名称）',
      shortcut: 'skuFuzzy',
    }, {
      placeholder: '快捷查询（库位）',
      shortcut: 'locCodeFuzzy',
    }],
    // 库存交易参数
    tfParams: {
      // 目标页面字段: 当前列表字段
      // fmToOwnerArr: 'ownerCode',
      // ownerCode: 'ownerName',
      fmToSkuArr: 'skuCode',
      skuCode: 'skuName',
      fmToLocArr: 'locCode',
    },
  },
  {
    id: 5,
    name: '按商品/库位/跟踪号',
    type: 'queryInvLotLocId',
    authNos: {
      refresh: 50310060101,
      transaction: 50310060105,
      more: 50310060102,
      query: 50310060103,
      reset: 50310060104,
      blockLog: 50310060106,
      import: 50310060107,
      print: 50310060108,
    },
    inputs: [{
      placeholder: '快捷查询（批次号）',
      shortcut: 'lotNumFuzzy',
    }, {
      placeholder: '快捷查询（商品编码/商品名称）',
      shortcut: 'skuFuzzy',
    }, {
      placeholder: '快捷查询（货主编码/货主名称）',
      shortcut: 'ownerFuzzy',
    }],
    // 库存交易参数
    tfParams: {
      // 目标页面字段: 当前列表字段
      fmToSkuArr: 'skuCode',
      skuCode: 'skuName',
      fmToLocArr: 'locCode',
      fmToIdArr: 'traceId',
    },
    // 冻结库存参数
    blockParams: {
      ownerCode: 'ownerCode',
      skuCode: 'skuCode',
      lotNum: 'lotNum',
      locCode: 'locCode',
      traceId: 'traceId',
    }
  },
]
