/**
 * @return {[]}
 */
export function getlineData (data) {
  const lineData = [
    { name: '出库单号', value: data.soNo },
    { name: '行号', value: data.lineNo },
    { name: '状态', value: data.status },
    { name: '物流单行号', value: data.logisticLineNo },
    { name: '商品名称', value: data.skuName },
    { name: '商品编码', value: data.skuCode },
    { name: '区域', value: data.areaCode },
    { name: '拣货区', value: data.zoneCode },
    { name: '包装规格', value: data.packDesc },
    { name: '单位', value: data.uomDesc },
    { name: '拣货位', value: data.locCode },
    { name: '跟踪号', value: data.traceId },
    { name: '订货数', value: data.qtySoUom },
    { name: '订货数EA', value: data.qtySoEa },
    { name: '库存周转规则', value: data.rotationRuleName },
    { name: '分配规则', value: data.allocRuleName },
    { name: '订货重量', value: data.soWeight },
    { name: '商品重量', value: data.skuWeight },
    { name: '预配数EA', value: data.qtyPreallocEa },
    { name: '分配数', value: data.qtyAllocUom },
    { name: '分配数EA', value: data.qtyAllocEa },
    { name: '预配规则', value: data.preallocRuleName },
    { name: '单价', value: data.price },
    { name: '拣货数', value: data.qtyPkUom },
    { name: '拣货数EA', value: data.qtyPkEa },
    { name: '装车状态', value: data.ldStatus },
    { name: '越库类型', value: data.cdType },
    { name: '发货数', value: data.qtyShipUom },
    { name: '发货数EA', value: data.qtyShipEa },
    { name: '销售单号', value: data.saleNo },
    { name: '销售单行号', value: data.saleLineNo },
    { name: '发货重量', value: data.shipWeight }
  ]
  return lineData
}

/**
 * @return {[]}
 */
export function getDistributionData (data) {
  const distributionData = [
    { name: '分配ID', value: data.allocId },
    { name: '状态', value: data.status },
    { name: '订单波次单号', value: data.waveNo },
    { name: '预配ID', value: data.preallocId },
    { name: '出库单号', value: data.soNo },
    { name: '出库单行号', value: data.lineNo },
    { name: '拣货波次单号', value: data.pkNo },
    { name: '越库类型', value: data.ownerName },
    { name: '货主', value: data.uomDesc },
    { name: '商品编码', value: data.skuCode },
    { name: '商品名称', value: data.skuName },
    { name: '包装规格', value: data.packDesc },
    { name: '批次号', value: data.lotNum },
    { name: '库位', value: data.locCode },
    { name: '目标库位', value: data.toLoc },
    { name: '跟踪号', value: data.traceId },
    { name: '目标跟踪号', value: data.toId },
    { name: '分配数', value: data.qtyPreallocEa },
    { name: '分配数', value: data.qtyUom },
    { name: '分配数EA', value: data.qtyEa },
    { name: '单位', value: data.uomDesc },
    { name: '重量', value: data.weight },
    { name: '复核状态', value: data.checkStatus },
  ]
  return distributionData
}

/**
 * @return {[]}
 */
export function getBatchAttribute (data) {
  const batchAttribute = [
    { name: '生产日期', value: data.lotAtt01 },
    { name: '失效日期', value: data.lotAtt02 },
    { name: '入库日期', value: data.lotAtt03 },
    { name: '品质', value: data.lotAtt04 },
    { name: '庄口', value: data.lotAtt05 },
    { name: '品种', value: data.lotAtt06 },
    { name: '品名', value: data.lotAtt07 },
    { name: '等级', value: data.lotAtt08 },
  ]
  return batchAttribute
}

/**
 * @return {[]}
 */
export function getsecondData (data) {
  const secondData = [
    { name: '拣货人登录名', value: data.pickOp },
    { name: '拣货时间', value: data.pickTime },
    { name: '复核人登录名', value: data.checkOp },
    { name: '复核时间', value: data.checkTime },
    { name: '打包人登录名', value: data.packOp },
    { name: '打包时间', value: data.packTime },
    { name: '发货人登录名', value: data.shipOp },
    { name: '发货时间', value: data.shipTime },
  ]
  return secondData
}
